//state当前设备状态  0.离线。1.待机。2.工作中。3.升级中 。4.未添加设备。5.未登录。
var state = 5;
var did = '';
var token = '';
mui.init();
mui('.mui-scroll-wrapper').scroll()

function webViewDidFinishLoad() {
  getUserData()
}


function getUserData() {
  var typeText = {
    "funName": "getUserDataFromNative",
    "callbackUrl": 'Home.html'
  }
  if (isAndroid) {
    EG_IOT.userData(JSON.stringify(typeText));
  } else {
    window.webkit.messageHandlers.userData.postMessage(JSON.stringify(typeText))
  }
}

//获取设备token及修改url的方法
function getUserDataFromNative(userData) {
  if (userData.length != 0) {
    var List = JSON.parse(userData)
    ObtainToken('2', List.token)
    token = List.token
    Storage.setItem('token', token)
  } else {
    Storage.removeItem('did')
    Storage.removeItem('token')
    var typeText = {
      "urlString": null,
    }
    if (isAndroid) {
      EG_IOT.pushToLoginVC(JSON.stringify(typeText));
    } else {
      window.webkit.messageHandlers.pushToLoginVC.postMessage(JSON.stringify(typeText))
    }
  }
};


/**
 * ObtainToken(typeNum: ,Token)
 * typeNum: 1.用户第一次进入  2.用户以进入
 * Token： 用户令牌
 * */
function ObtainToken(typeNum, token) {
  var data = {
    state: 'true'
  }
  HttpRequest.doRequest('GET', data, token, getListByUser, function(res) {
    if (res.code == '0') {
      var mtkData = []
      for (var i = 0; i < res.data.length; i++) {
        if (res.data[i].uuid == '32I65mtk' || res.data[i].uuid == '2snG4NUT' || res.data[i].uuid == 'V7lt26zh') {
          mtkData.push(res.data[i])
        }
      }
      if (mtkData.length == 0) {
        mui('#Choice')[0].classList.add('mui-hidden')
        mui('#add')[0].classList.remove('mui-hidden')
        state = 4
      } else {
        mui('#Choice')[0].classList.remove('mui-hidden')
        mui('#add')[0].classList.add('mui-hidden')
        var tpl = ''
        for (var i = 0; i < mtkData.length; i++) {
          var text = ''
          if (mtkData[i].state.state == 0) {
            text =
              '<span style="font-size: 20px;font-weight: 900;color: #CCCCCC;padding:0 5px">·</span><span style="color: #CCCCCC;">离线</span>'
          } else if (mtkData[i].state.state == 1) {
            text =
              '<span style="font-size: 20px;font-weight: 900;color: #3CADFF;padding:0 5px;">·</span><span style="color: #3CADFF;">待机</span>'
          } else if (mtkData[i].state.state == 2) {
            text =
              '<span style="font-size: 20px;font-weight: 900;color: #3CADFF;padding:0 5px">·</span><span style="color: #3CADFF;">工作中</span>'
          } else if (mtkData[i].state.state == 3) {
            text =
              '<span style="font-size: 20px;font-weight: 900;color: red;padding:0 5px">·</span><span style="color: red;">升级中</span>'
          } else {
            text =
              '<span style="font-size: 20px;font-weight: 900;color: #CCCCCC;padding:0 5px">·</span><span style="color: #CCCCCC;">无</span>'
          }
          var name = '';
          if (mtkData[i].dname == null) {
            name = mtkData[i].pname
          } else {
            name = mtkData[i].dname
          }
          var pick = ''
          if (mtkData[i].pick) {
            did = mtkData[i].did
            state = mtkData[i].state.state

            console.log('当前设备状态====' + mtkData[i].state.state)
            mui('#mui-picture')[0].innerHTML = name;
            pick = '<li class="mui-table-view-cell mui-media mui-selected" data-uuid=' + mtkData[i].uuid +
              ' data-pname=' +
              name + ' data-did=' + mtkData[i].did + ' data-state=' + mtkData[i].state.state + '>'
            if (typeNum == '2') {
              console.log(mtkData[i])
              if (mtkData[i].uuid == '32I65mtk' || mtkData[i].uuid == '2snG4NUT') {
                Storage.setItem('did', did)
                var typeText = {
                  "did": did,
                  "EquipmentType": '1',
                  "HomeUrl": 'YXHealthySpiritNew/Home.html',
                  "SleepUrl": 'YXHealthySpiritNew/Sleep/Sleep.html',
                  "SleepPresentationUrl": 'YXHealthySpiritNew/SleepPresentation/PresentationHemo.html',
                  "CurrencyUrl": 'YXHealthySpiritNew/SetUp/SetUp_Currency.html',
                  "SleepAidUrl": 'YXHealthySpiritNew/SetUp/SetUp_SleepAid.html',
                  "homepageAndquestion": 'YXHealthySpiritNew/homepageAndquestion/commonQuestion/commonQuestion.html'
                }
                if (isAndroid) {
                  EG_IOT.currentSelectedDeviceID(JSON.stringify(typeText));
                } else {
                  window.webkit.messageHandlers.currentSelectedDeviceID.postMessage(JSON.stringify(typeText))
                }

                var data = {}
                HttpRequest.doRequest('GET', data, token, devices + mtkData[i].did, function(res) {
                  if (res.code == '0') {
                    var softwareVersion = res.data.softwareVersion
                    var hardwareVersion = res.data.hardwareVersion
                    if (Number(softwareVersion) > 3 && Number(hardwareVersion) == 2) {
                      Storage.setItem('typeNew', '114')
                      volumeGetSettingList('114')
                    } else {
                      Storage.setItem('typeNew', '113')
                      volumeGetSettingList('113')
                    }
                  }
                }, function() {})
              } else if (mtkData[i].uuid == 'V7lt26zh') {
                var typeText = {
                  "did": did,
                  "EquipmentType": '2',
                  "HomeUrl": 'YXLiteLamp/Home.html',
                  "SleepUrl": 'YXLiteLamp/Sleep.html',
                  "SleepPresentationUrl": 'YXLiteLamp/SleepPresentation.html',
                  "CurrencyUrl": 'YXLiteLamp/HelpSleep.html',
                  "SleepAidUrl": 'YXLiteLamp/HelpSleep.html',
                  "homepageAndquestion": 'YXLiteLamp/homepageAndquestion/commonQuestion/commonQuestion.html'
                }
                if (isAndroid) {
                  EG_IOT.currentSelectedDeviceID(JSON.stringify(typeText));
                } else {
                  window.webkit.messageHandlers.currentSelectedDeviceID.postMessage(JSON.stringify(typeText))
                }
              }
            }
          } else {
            pick = '<li class="mui-table-view-cell mui-media" data-uuid=' + mtkData[i]
              .uuid + ' data-pname=' + name + ' data-did=' + mtkData[i].did +
              ' data-state=' + mtkData[i].state.state + '>'
          }
          tpl += pick +
            '<img class="mui-media-object mui-pull-left mui-homeImg" src="images/home_yixiu@3x.png">' +
            '<div class="mui-media-body">' +
            '<p class="mui-ellipsis mui-ellipsis1">' + name + '</p>' +
            '<p class="mui-ellipsis mui-ellipsis2">' + mtkData[i].model + '</p>' +
            '<p class="mui-ellipsis mui-ellipsis3">' + text +
            '</p>' +
            '</div>' +
            '<span class="mui-navigate-right"></span></li>'
        }

        mui('#ListRadio')[0].innerHTML = tpl;
        if (searchKeys(true, mtkData) == undefined) {
          if (mtkData[0].dname == null) {
            name = mtkData[0].pname
          } else {
            name = mtkData[0].dname
          }
          SelectionDid(mtkData[0].uuid, mtkData[0].did, name, mtkData[0].state)
        }
      }
    } else if (res.code == '20011') {
      toast('设备已离线')
    }
  })
}

mui('body').on('tap', '#Choice', function(e) {
  var active = mui('#picture')[0].classList.contains('mui-active')
  MqttKeyDome = false
  if (active) {
    mui('.home_nav')[0].style.webkitTransform = "rotate(0)";
    mui('.home_nav')[0].style.MozTransform = "rotate(0)";
    mui('.home_nav')[0].style.OTransform = "rotate(0)";
    mui('.home_nav')[0].style.transform = "rotate(0)";
    mui('#picture').popover('hide');
  } else {
    mui('.home_nav')[0].style.webkitTransform = "rotate(180deg)";
    mui('.home_nav')[0].style.MozTransform = "rotate(180deg)";
    mui('.home_nav')[0].style.OTransform = "rotate(180deg)";
    mui('.home_nav')[0].style.transform = "rotate(180deg)";
    mui('#picture').popover('show');
    ObtainToken('1', token);
  }
});
mui('body').on('tap', '#picture', function(e) {
  mui('.home_nav')[0].style.webkitTransform = "rotate(0)";
  mui('.home_nav')[0].style.MozTransform = "rotate(0)";
  mui('.home_nav')[0].style.OTransform = "rotate(0)";
  mui('.home_nav')[0].style.transform = "rotate(0)";
  mui('#picture').popover('hide');
});


//点击选中产品
document.querySelector('.mui-table-view.mui-table-view-radio').addEventListener('selected', function(e) {

  var name = e.detail.el.dataset.pname;
  var uuid = e.detail.el.dataset.uuid;
  var did = e.detail.el.dataset.did;
  var state = e.detail.el.dataset.state;
  console.log('当前设备状态====' + e.detail.el.dataset.state)
  if (e.detail.el.dataset.state == 0) {
    toast('设备离线，请重新连接');
  } else if (e.detail.el.dataset.state == 3) {
    toast('设备升级中，请重新连接');
  }
  SelectionDid(uuid, did, name, state)
});

//选中DID
function SelectionDid(uuid, didS, name, stateS) {
  var data = {
    "did": didS
  }
  HttpRequest.doRequest('POST', data, token, pick, function(res) {
    mui('#mui-picture')[0].innerHTML = name
    if (uuid == '32I65mtk' || uuid == '2snG4NUT') {
      Storage.setItem('did', didS)
      var typeText = {
        "did": didS,
        "EquipmentType": '1',
        "HomeUrl": 'YXHealthySpiritNew/Home.html',
        "SleepUrl": 'YXHealthySpiritNew/Sleep/Sleep.html',
        "SleepPresentationUrl": 'YXHealthySpiritNew/SleepPresentation/PresentationHemo.html',
        "CurrencyUrl": 'YXHealthySpiritNew/SetUp/SetUp_Currency.html',
        "SleepAidUrl": 'YXHealthySpiritNew/SetUp/SetUp_SleepAid.html',
        "homepageAndquestion": 'YXHealthySpiritNew/homepageAndquestion/commonQuestion/commonQuestion.html'
      }
      if (isAndroid) {
        EG_IOT.currentSelectedDeviceID(JSON.stringify(typeText));
      } else {
        window.webkit.messageHandlers.currentSelectedDeviceID.postMessage(JSON.stringify(typeText))
      }

      var data = {}
      HttpRequest.doRequest('GET', data, token, devices + didS, function(res) {
        if (res.code == '0') {
          state = stateS
          did = didS;
          var softwareVersion = res.data.softwareVersion
          var hardwareVersion = res.data.hardwareVersion
          if (Number(softwareVersion) > 3 && Number(hardwareVersion) == 2) {
            Storage.setItem('typeNew', '114')
            volumeGetSettingList('114')
          } else {
            Storage.setItem('typeNew', '113')
            volumeGetSettingList('113')
          }
        }
      }, function() {})
    } else if (uuid == 'V7lt26zh') {
      var typeText = {
        "did": didS,
        "EquipmentType": '2',
        "HomeUrl": 'YXLiteLamp/Home.html',
        "SleepUrl": 'YXLiteLamp/Sleep.html',
        "SleepPresentationUrl": 'YXLiteLamp/SleepPresentation.html',
        "CurrencyUrl": 'YXLiteLamp/HelpSleep.html',
        "SleepAidUrl": 'YXLiteLamp/HelpSleep.html',
        "homepageAndquestion": 'YXLiteLamp/homepageAndquestion/commonQuestion/commonQuestion.html'
      }
      if (isAndroid) {
        EG_IOT.currentSelectedDeviceID(JSON.stringify(typeText));
      } else {
        window.webkit.messageHandlers.currentSelectedDeviceID.postMessage(JSON.stringify(typeText))
      }
    }
  }, function() {})
}
//扫扫
mui('body').on('tap', '#saosao', function(e) {
  var typeText = {
    "funName": "nativeScanReuslt",
    'rootType': 5
  }
  if (isAndroid) {
    EG_IOT.nativeQRCoderScan(JSON.stringify(typeText));
  } else {
    window.webkit.messageHandlers.nativeQRCoderScan.postMessage(JSON.stringify(typeText))
  }
});
//添加
mui('body').on('tap', '#add,.mui-addEquipment', function(e) {
  var typeText = {
    "funName": "configDeviceReuslt",
  }
  if (isAndroid) {
    EG_IOT.configDevice(JSON.stringify(typeText));
  } else {
    window.webkit.messageHandlers.configDevice.postMessage(JSON.stringify(typeText))
  }
});


var dataList = JsonSkills.data.skills;
var SBCtpl = '';
for (var z = 2; z < 7; z++) {
  var i2 = z + 1
  SBCtpl += '<li class="mui-table-view-cell mui-media"><a href="ThirdParty/listdetail.html?skillId=' +
    dataList[z].skillId +
    '&version=' + dataList[z].version + '" class="mui-muiIf">' +
    '<img class="mui-media-object mui-pull-left" src="images/Json/' + dataList[z].img +
    '" style="border-radius: 50%;">' +
    '<div class="mui-media-body">' + dataList[z].skillName + '<p class="mui-ellipsis">' + dataList[z].skillName +
    '</p></div>' +
    '</a></li>'
}
mui('#SBC')[0].innerHTML = SBCtpl
//轮播图
var mySwiper = new Swiper('.swiper-container.swiper-container1', {
  direction: 'horizontal',
  loop: true,
  autoplay: 5000,
  slidesPerView: "auto",
  centeredSlides: true,
  spaceBetween: 10,
  // 如果需要分页器
  pagination: '.swiper-container.swiper-pagination'
})
mui('#picture .mui-scroll-wrapper').scroll();
mui('#SBC').on('tap', 'a', function(e) {
  var href = this.getAttribute('href');

  mui.openWindow({
    url: href,
    id: href,
    show: {
      aniShow: 'slide-in-right',
      duration: 1400
    },
    waiting: {
      autoShow: false
    }
  });

});
mui('.jumping').on('tap', 'a', function(e) {

  var href = this.getAttribute('href');
  if (this.dataset.src == '1') {
    mui.openWindow({
      url: href,
      id: href,
      show: {
        aniShow: 'slide-in-right',
        duration: 1400
      },
      waiting: {
        autoShow: false
      }
    });


  } else if (this.dataset.src == '2') {

    mui.openWindow({
      url: href,
      id: href,
      show: {
        aniShow: 'slide-in-right',
        duration: 1400
      },
      waiting: {
        autoShow: false
      }
    });


  } else if (this.dataset.src == '3') {

    mui.openWindow({
      url: href + '?token=' + token + '&did=' + did,
      id: href,
      show: {
        aniShow: 'slide-in-right',
        duration: 1400
      },
      waiting: {
        autoShow: false
      }
    });


  } else if (this.dataset.src == '4') {

    mui.openWindow({
      url: href + '&token=' + token + '&did=' + did,
      id: href,
      show: {
        aniShow: 'slide-in-right',
        duration: 1400
      },
      waiting: {
        autoShow: false
      }
    });

  } else if (this.dataset.src == '10086') {
    toast('功能开发中，敬请期待');
  }
});
mui('#wrapperSlide').on('tap', 'a', function(e) {
  var href = this.getAttribute('href');
  mui.openWindow({
    url: href + '&token=' + token + '&did=' + did,
    id: href,
    show: {
      aniShow: 'slide-in-right',
      duration: 1400
    },
    waiting: {
      autoShow: false
    }
  });
  //toast('未登录');

})
