mui.init({
	swipeBack: true //启用右滑关闭功能
});
var SleepAid = {
	SlMusic: false, //睡眠音乐
	SlVoice: 0,
	SlLighting: false, //睡眠照明
	SlBrightness: 10,
	SlEnd: false, //睡眠结束
	SlControl: false, //睡眠控制
	SlBeginTime: '23:00',
	SlEndTime: '07:00',
	ControlJson: []
}
var now = new Date();
var mobiscroll1getHours = '23' // 开始小时
var mobiscroll1getMinutes = '00' //开始分钟
var mobiscroll2getHours = '07' //结束小时
var mobiscroll2getMinutes = '00' //结束分钟
var mobiscroll1 = Number(mobiscroll1getHours) * 60 + Number(mobiscroll1getMinutes)
var mobiscroll2 = (Number(mobiscroll2getHours) + 24) * 60 + Number(mobiscroll2getMinutes)
var deviceSettingId = '' //修改键的ID
var token = '';
var did = '';

//点击返回上一页面事件
mui('body').on('tap', '#mui-action-back', function() {
	if(isAndroid){
		//是使用智慧宜居
		if(getQueryString('html')=='html'){
			window.history.go(-1)
		}else{
			var typeText = {
				"callBackNative": 1,
				"urlAddr": ""
			}
			EG_IOT.callBack(JSON.stringify(typeText));
		}
	}else{
		var typeText = {
			"callBackNative": 1,
			"urlAddr": ""
		}
		window.webkit.messageHandlers.callBack.postMessage(JSON.stringify(typeText))
	}
})
function webViewDidFinishLoad() {
	getUserData()
}
function getUserData() {
	var typeText = {
		"funName": "getUserDataFromNative",
		"callbackUrl": 'Home.html'
	}
	
	if(isAndroid){
		EG_IOT.userData(JSON.stringify(typeText));
	}else{
		window.webkit.messageHandlers.userData.postMessage(JSON.stringify(typeText))
	}
}
//获取设备token及修改url的方法

// //获取设备token及修改url的方法
function getUserDataFromNative(userData) {
	
	if (userData.length != 0) {
		var List = JSON.parse(userData)
		token = List.token
		did = List.did
		Storage.setItem('did', did)
		Storage.setItem('token', token)
		volumeGetSettingList(Storage.getItem("typeNew"))
		var data = {
			deviceId: did,
			settingType: 2
		}
		HttpRequest.doRequest('GET', data, token , getSettingList , function(e){
			if (e.data.length == 0) {
				var dataS = {
					deviceId: did,
					settingType: 2,
					settingValues: JSON.stringify(SleepAid),
					flag: true
				}
				console.log(data)
				HttpRequest.doRequest('POST', dataS, token , saveSettings , function(e){
					HttpRequest.doRequest('GET', data, token , getSettingList , function(e){
						deviceSettingId = e.data[0].deviceSettingId;
						SleepAnalysis(e.data[0].settingValues)
					})
				}, function() {})
			} else {
				deviceSettingId = e.data[0].deviceSettingId;
				SleepAnalysis(e.data[0].settingValues)
			}	
		}, function(){})
		var dataNew = {
			deviceId: did,
			settingType: 5
		}
		HttpRequest.doRequest('GET', dataNew, token , getSettingList , function(e) {
			if (e.data.length == 0) {
				var data = {
					deviceId: did,
					settingType: 5,
					settingValues: JSON.stringify(PresentationNew),
					flag: true
				}
				console.log(data)
				HttpRequest.doRequest('POST', data, token , saveSettings , function(e) {
					var data = {
						deviceId: did,
						settingType: 5
					}
					HttpRequest.doRequest('GET', dataNew, token , getSettingList , function(e) {
						deviceSettingIdNew = e.data[0].deviceSettingId;
						VolumeAnalysis(e.data[0].settingValues)
					})
				}, function() {})
			} else {
				deviceSettingIdNew = e.data[0].deviceSettingId;
				VolumeAnalysis(e.data[0].settingValues)
			}
		}, function() {})
	}else{
		Storage.removeItem('did')
		Storage.removeItem('token')
		var typeText = {
			"urlString":null,
		}
		if (isAndroid) {
			EG_IOT.pushToLoginVC(JSON.stringify(typeText));
		} else {
			window.webkit.messageHandlers.pushToLoginVC.postMessage(JSON.stringify(typeText))
		}
	}
}


mui('.mui-content .mui-switch').each(function() { //循环所有toggle
	//toggle.classList.contains('mui-active') 可识别该toggle的开关状态
	if (this.classList.contains('mui-active')) {
		this.childNodes[1].classList.add('mui-switchbackground');
		this.parentNode.parentNode.classList.add('mui-active');
	}
	console.log(this.classList.contains('mui-active'))
	/**
	 * toggle 事件监听
	 */
	this.addEventListener('toggle', function(event) {

		var SlEnd = '',
			SlLighting = '',
			SlMusic = '',
			SlControl = '';
		if (SleepAid.SlEnd) {
			SlEnd = '00'
		} else {
			SlEnd = '01'
		}
		if (SleepAid.SlLighting) {
			SlLighting = '00'
		} else {
			SlLighting = '01'
		}
		if (SleepAid.SlMusic) {
			SlMusic = '00'
		} else {
			SlMusic = '01'
		}
		if (SleepAid.SlControl) {
			SlControl = '00'
		} else {
			SlControl = '01'
		}
		if (event.detail.isActive) {
			this.childNodes[1].classList.add('mui-switchLeft')
			this.childNodes[1].classList.add('mui-switchbackground')
			this.parentNode.parentNode.classList.add('mui-active');

			if (this.dataset.switch1 == 1) {
				SleepAid.SlControl = true;
				SlControl = '00'
			} else if (this.dataset.switch1 == 2) {
				SleepAid.SlLighting = true;
				SlLighting = '00'
			} else if (this.dataset.switch1 == 3) {
				SleepAid.SlMusic = true;
				SlMusic = '00'
			} else if (this.dataset.switch1 == 4) {
				SleepAid.SlEnd = true;
				SlEnd = '00'
			}
		} else {
			this.childNodes[1].classList.remove('mui-switchLeft')
			this.childNodes[1].classList.remove('mui-switchbackground')
			this.parentNode.parentNode.classList.remove('mui-active');
			if (this.dataset.switch1 == 1) {
				SleepAid.SlControl = false;
				SlControl = '01'
			} else if (this.dataset.switch1 == 2) {
				SleepAid.SlLighting = false;
				SlLighting = '01'
			} else if (this.dataset.switch1 == 3) {
				SleepAid.SlMusic = false;
				SlMusic = '01'
			} else if (this.dataset.switch1 == 4) {
				SleepAid.SlEnd = false;
				SlEnd = '01'
			}
		}
		var SlBrightness = Number(SleepAid.SlBrightness).toString(16);
		var SlBrightnessS = ''
		if (SlBrightness.length == 1) {
			SlBrightnessS = '0' + SlBrightness
		} else {
			SlBrightnessS = SlBrightness
		}
		var SlVoice = Number(SleepAid.SlVoice).toString(16);
		if (SlVoice.length == 1) {
			SlVoiceS = '0' + SlVoice
		} else {
			SlVoiceS = SlVoice
		}
		volumeSleep(did, token, '0512' + SlControl + SlLighting + SlMusic + SlEnd + SlBrightnessS + SlVoiceS);
		modify(SleepAid);
	});

});
var rangeList = document.querySelectorAll('input[type="range"]');
rangeList[0].addEventListener('input', function() {
	var m = this.value;
	if (Number(m) > 10) {
		this.style.backgroundSize = m + '% 100%';
	} else {
		this.value = '10'
		if(Storage.getItem('typeNew') == '113'){
			volumeSleep(did, token, '0502060A')
		}else if(Storage.getItem('typeNew') == '114'){
			volumeSleep(did, token, '0515ffff0Aff')
		}
	}
});
rangeList[0].onchange = function() {
	var m = this.value;
	SleepAid.SlVoice = this.value;
	PresentationNew.sysVolume = this.value;
	if (Number(m) >= 10) {
		var SlVoice = ''
		if (Number(m) <= 15) {
			if(Storage.getItem('typeNew') == '113'){
				volumeSleep(did, token, '0502060'+ Number(m).toString(16))
			}else if(Storage.getItem('typeNew') == '114'){
				volumeSleep(did, token, '0515ffff0' + Number(m).toString(16) + 'ff')
			}
		} else {
			if(Storage.getItem('typeNew') == '113'){
				volumeSleep(did, token, '050206'+ Number(m).toString(16))
			}else if(Storage.getItem('typeNew') == '114'){
				volumeSleep(did, token, '0515ffff' + Number(m).toString(16) + 'ff')
			}
		}

	}
	var SlEnd = '',
		SlLighting = '',
		SlMusic = '',
		SlControl = '';
	if (SleepAid.SlMusic) {
		SlEnd = '00'
	} else {
		SlEnd = '01'
	}
	if (SleepAid.SlLighting) {
		SlLighting = '00'
	} else {
		SlLighting = '01'
	}
	if (SleepAid.SlMusic) {
		SlMusic = '00'
	} else {
		SlMusic = '01'
	}
	if (SleepAid.SlControl) {
		SlControl = '00'
	} else {
		SlControl = '01'
	}
	
	var SlBrightness = Number(SleepAid.SlBrightness).toString(16);
	var SlBrightnessS = '',
		SlVoiceS = ''
	if (SlBrightness.length == 1) {
		SlBrightnessS = '0' + SlBrightness
	} else {
		SlBrightnessS = SlBrightness
	}
	var SlVoice = Number(SleepAid.SlVoice).toString(16);
	if (SlVoice.length == 1) {
		SlVoiceS = '0' + SlVoice
	} else {
		SlVoiceS = SlVoice
	}
	console.log(SlVoiceS) //音量
	//volumeSleep(did, token,'0512' + SlEnd + SlLighting + SlMusic + SlControl + SlBrightnessS + SlVoiceS); //老版本发送
	
	modify(SleepAid)
};
rangeList[1].addEventListener('input', function() {
	console.log(this.value)
	if (this.id.indexOf('field') >= 0) {
		this.style.backgroundSize = this.value + '% 100%';
	} else {
		this.style.backgroundSize = this.value + '% 100%';
	}

});
rangeList[1].onchange = function() {
	var volumeVal = Number(this.value);
	SleepAid.SlBrightness = this.value;
	var SlEnd = '',
		SlLighting = '',
		SlMusic = '',
		SlControl = '';
	if (SleepAid.SlMusic) {
		SlEnd = '00'
	} else {
		SlEnd = '01'
	}
	if (SleepAid.SlLighting) {
		SlLighting = '00'
	} else {
		SlLighting = '01'
	}
	if (SleepAid.SlMusic) {
		SlMusic = '00'
	} else {
		SlMusic = '01'
	}
	if (SleepAid.SlControl) {
		SlControl = '00'
	} else {
		SlControl = '01'
	}
	var SlBrightness = Number(SleepAid.SlBrightness).toString(16);
	var SlBrightnessS = ''
	if (SlBrightness.length == 1) {
		SlBrightnessS = '0' + SlBrightness
	} else {
		SlBrightnessS = SlBrightness
	}
	var SlVoice = Number(mui('#block-range')[0].value).toString(16);
	if (SlVoice.length == 1) {
		SlVoiceS = '0' + SlVoice
	} else {
		SlVoiceS = SlVoice
	}
	volumeSleep(did, token, '0512' + SlControl + SlLighting + SlMusic + SlEnd + SlBrightnessS + SlVoiceS);
	modify(SleepAid);
};

mui('body').on('tap', '.mui-gou', function(e) {
	var id = this.dataset.id;
	var type = this.dataset.type;
	var that = this
	if (this.parentNode.classList.contains('mui-active')) {
		this.childNodes[0].src = '../images/Unselected.png';
		ModifySleepAidRemove(id) //关闭
	} else {
		this.childNodes[0].src = '../images/Selection.png'
		
		if (type == '1') {
			console.log(that.nextSibling.nextSibling.nextSibling.childNodes[0].innerText.substring(2,6))
			var tyleTsex = {
				type: 1,
				id: id,
				selection: that.dataset.selection,
				modelId: that.dataset.modelid,
				pattern: that.dataset.pattern,
				degree: that.nextSibling.nextSibling.nextSibling.childNodes[0].innerText.substring(2,6),
				on: that.dataset.on
			}
			ModifySleepAidAdd(id, tyleTsex)
		} else if (type == '2'){
			var tyleTsex = {
				type: 2,
				id: id,
				pattern: that.dataset.pattern,
				degree: '00',
				modelId: that.dataset.modelid,
				on: that.dataset.on
			}
			ModifySleepAidAdd(id, tyleTsex)
		} else if (type == '3'){
			var tyleTsex = {
				type: 3,
				id: id,
				pattern: that.dataset.pattern,
				degree: '00',
				modelId: that.dataset.modelid,
				on: that.dataset.on
			}
			ModifySleepAidAdd(id, tyleTsex)
		}
	}
})


mui('#mui-control').on('tap', '.mui-collapse', function(e) {
	//阻止折叠事件冒泡
	e.stopPropagation();
	//this.classList.toggle('mui-active');
})

function modify(text) {
	if(Storage.getItem('typeNew') == '114'){
		SleepAid.SlVoice=PresentationNew.sysVolume
	}
	var data = {
		deviceId: did,
		deviceSettingId: deviceSettingId,
		settingValues: JSON.stringify(text),
		settingType: 2
	}
	 HttpRequest.doRequest('POST',data ,token, updateSettings ,function(res){

	}, function() {})
}

/**
 * 添加
 * ModifySleepAidAdd(id , JsonArray)
 * id:当前设备ID
 * JsonArray：当前传的josn对象
 * JsonArray.type:1、风扇  2、空调
 * */
function ModifySleepAidAdd(id, JsonArray) {
	var ControlJson = SleepAid.ControlJson;
	ControlJson.push(JsonArray)
	console.log(SleepAid)
	modify(SleepAid)
	var modelId = SleepAid.ControlJson[ControlJson.length-1].modelId //红外ID
	var id = SleepAid.ControlJson[ControlJson.length-1].id //设备ID
	var type = SleepAid.ControlJson[ControlJson.length-1].type //设备类型
	var degree = parseInt(SleepAid.ControlJson[ControlJson.length-1].degree).toString(16) //温度
	if(degree == '0'){
		degree='00'
	}

	var on = SleepAid.ControlJson[ControlJson.length-1].on

	if (on == '开') {
		on = '00'
	} else {
		on = '01'
	}
	var typeID = ''
	if (type == '1') { //空调
		typeID = '01'
	} else if (type == '2'){  //风扇
		typeID = '02'
	}else if (type == '3'){		//电视
		typeID = '03'
	}
	var str1 = parseInt(id).toString(16) //10进制转16进制
	var len = str1.length;
	var s1 = "00000000"; //用于补齐，满8位
	if (len < 8) {
		var s2 = s1.slice(0, 8 - len); //截取需要补齐的位数
		var str2 = s2 + str1; //在前面进行补齐
	}
	volumeSleep(did, token,"0513" + typeID + str2 + modelId + on + degree)
}
/**
 * 删除
 * ModifySleepAidRemove(id)
 * id:当前设备ID
 * JsonArray.type:1、风扇  2、空调
 * */
function ModifySleepAidRemove(id) {
	var ControlJson = SleepAid.ControlJson;
	for (var i = 0; i < ControlJson.length; i++) {
		console.log(ControlJson[i])
		if (ControlJson[i].id == id) {
			ControlJson.splice(i, 1);
		}
	}
	console.log(SleepAid)
	modify(SleepAid)
}
/**
 * 修改
 * ModifySleepAidModify(id , JsonArray)
 * id:当前设备ID
 * showUserPicker：修改类别1、是模式  2、温度
 * text:修改类容
 * */
function ModifySleepAidModify(id, showUserPicker, text) {
	var ControlJson = SleepAid.ControlJson;
	var s=0
	for (var i = 0; i < ControlJson.length; i++) {
		if (ControlJson[i].id == id) {
			s=i;
			if (showUserPicker == '1') {
				ControlJson[i].pattern = text;
			} else if (showUserPicker == '2') {
				ControlJson[i].degree = text
			} else {
				ControlJson[i].on = text
			}
		}
	}
	console.log(SleepAid)
	modify(SleepAid)
	var modelId = SleepAid.ControlJson[s].modelId //红外ID
	var id = SleepAid.ControlJson[s].id //设备ID
	var type = SleepAid.ControlJson[s].type //设备类型
	var degree = parseInt(SleepAid.ControlJson[s].degree).toString(16) //温度
	var on = SleepAid.ControlJson[s].on
	if(degree == '0'){
		degree='00'
	}
	if (on == '开') {
		on = '00'
	} else {
		on = '01'
	}
	var typeID = ''
	if (type == '1') { //空调
		typeID = '01'
	} else if (type == '2'){  //风扇
		typeID = '02'
	}else if (type == '3'){		//电视
		typeID = '03'
	}
	var str1 = parseInt(id).toString(16) //10进制转16进制
	var len = str1.length;
	var s1 = "00000000"; //用于补齐，满8位
	if (len < 8) {
		var s2 = s1.slice(0, 8 - len); //截取需要补齐的位数
		var str2 = s2 + str1; //在前面进行补齐
	}
	volumeSleep(did, token, "0513" + typeID + str2 + modelId + on + degree)
}


function searchKeys(needle, haystack) {
	for (i in haystack) {
		if (haystack[i].id == needle) {
			return i;
		}
	}
}


mobiscroll.settings = {
	theme: 'ios', //皮肤样式，可选：\default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
	lang: 'cn',
	mode: 'time',
	timeWheels: 'HHii',
	timeFormat: 'HH:ii',
	rows: 4,
	minWidth: 90,
	onBeforeShow: function(inst) {},
};

function datetimeTimeInit1(newDate) {
	mobiscroll.time('#SectionTime', {
		defaultValue: newDate, //new Date('2019/08/10 19:00:00'),
		display: 'center',
		onChange: function(textVale) { //滑动触发
			console.log(textVale);
			timeDate = textVale.valueText.split(' ')[0];

			morningAndafternoonDate = textVale.valueText.split(' ')[1];
			var selectHour = timeDate.split(":")[0];
			var selectMine = timeDate.split(":")[1];
			mobiscroll1 = Number(selectHour) * 60 + Number(selectMine)
			console.log(mobiscroll1)
			mobiscroll1getHours = selectHour // 开始小时
			mobiscroll1getMinutes = selectMine //开始分钟
		}
	});
	$('#SectionTime').mobiscroll('show');
}

function datetimeTimeInit2(newDate) {
	mobiscroll.time('#Section-step', {
		defaultValue: newDate, //new Date('2019/08/10 19:00:00'),
		display: 'center',
		onChange: function(textVale) { //滑动触发
			console.log(textVale);
			timeDate = textVale.valueText.split(' ')[0];
			morningAndafternoonDate = textVale.valueText.split(' ')[1];
			var selectHour = timeDate.split(":")[0];
			var selectMine = timeDate.split(":")[1];
			mobiscroll2 = Number(selectHour) * 60 + Number(selectMine)
			mobiscroll2getHours = selectHour //结束小时
			mobiscroll2getMinutes = selectMine //结束分钟
		}
	});
	$('#Section-step').mobiscroll('show');
}
mui('body').on('tap', '#SectionTimeNew', function(e) {
	console.log(SleepAid)
	datetimeTimeInit1(new Date('2019/08/10 ' + SleepAid.SlBeginTime + ':00'))
	$('#Skipping').removeClass('mui-hidden')
	$('body,html').addClass('lock-back')
});

mui('#Skipping').on('tap', '#Section-step', function(e) {
	$('.mbsc-platform-ios').remove()
	$('.mbsc-fr-persp').remove()
	datetimeTimeInit2(new Date('2019/08/10 0' + SleepAid.SlEndTime + ':00'))
	$('#Section').addClass('mui-hidden')
	$('#Section1').removeClass('mui-hidden')
});

mui('#Skipping').on('tap', '#Section-btn', function(e) {
	console.log(mobiscroll2 - mobiscroll1)
	// if((mobiscroll2 -mobiscroll1)> -180){
	// 	toast('结束时间不能早于开始时间')
	// }else 
	if (mobiscroll2 > mobiscroll1) {
		if ((mobiscroll2 - mobiscroll1) < 180) {
			toast('睡眠区间不能少于3小时')
		} else {
			$('#Skipping').addClass('mui-hidden')
			$('body,html').removeClass('lock-back')
			$('#Section').removeClass('mui-hidden')
			$('#Section1').addClass('mui-hidden')
			$('.mbsc-platform-ios').remove()
			$('.mbsc-fr-persp').remove()
			SleepAid.SlBeginTime = mobiscroll1getHours + ':' + mobiscroll1getMinutes
			SleepAid.SlEndTime = mobiscroll2getHours + ':' + mobiscroll2getMinutes

			modify(SleepAid)
			mui('#SectionTime')[0].innerHTML = SleepAid.SlBeginTime + '-' + SleepAid.SlEndTime
			var SlBeginTime = SleepAid.SlBeginTime
			var SlBeginTime1 = Number(SlBeginTime.substring(0, 2)).toString(16).length == 1 ? "0" + Number(SlBeginTime.substring(
				0, 2)).toString(16) : Number(SlBeginTime.substring(0, 2)).toString(16);
			var SlBeginTime2 = Number(SlBeginTime.substring(3, 5)).toString(16).length == 1 ? "0" + Number(SlBeginTime.substring(
				3, 5)).toString(16) : Number(SlBeginTime.substring(3, 5)).toString(16);
			var SlEndTime = SleepAid.SlEndTime
			var SlEndTime1 = Number(SlEndTime.substring(0, 2)).toString(16).length == 1 ? "0" + Number(SlEndTime.substring(0,
				2)).toString(16) : Number(SlEndTime.substring(0, 2)).toString(16);
			var SlEndTime2 = Number(SlEndTime.substring(3, 5)).toString(16).length == 1 ? "0" + Number(SlEndTime.substring(3,
				5)).toString(16) : Number(SlEndTime.substring(3, 5)).toString(16);
			volumeSleep(did, token, '0516' + SlBeginTime1 + SlBeginTime2 + SlEndTime1 + SlEndTime2);

		}
	} else {
		if ((mobiscroll2 - mobiscroll1) < -1260) {
			toast('睡眠区间不能少于3小时')
		} else {
			$('#Skipping').addClass('mui-hidden')
			$('body,html').removeClass('lock-back')
			$('#Section').removeClass('mui-hidden')
			$('#Section1').addClass('mui-hidden')
			$('.mbsc-platform-ios').remove()
			$('.mbsc-fr-persp').remove()
			SleepAid.SlBeginTime = mobiscroll1getHours + ':' + mobiscroll1getMinutes
			SleepAid.SlEndTime = mobiscroll2getHours + ':' + mobiscroll2getMinutes

			modify(SleepAid)
			mui('#SectionTime')[0].innerHTML = SleepAid.SlBeginTime + '-' + SleepAid.SlEndTime

			var SlBeginTime = SleepAid.SlBeginTime
			var SlBeginTime1 = Number(SlBeginTime.substring(0, 2)).toString(16).length == 1 ? "0" + Number(SlBeginTime.substring(
				0, 2)).toString(16) : Number(SlBeginTime.substring(0, 2)).toString(16);
			var SlBeginTime2 = Number(SlBeginTime.substring(3, 5)).toString(16).length == 1 ? "0" + Number(SlBeginTime.substring(
				3, 5)).toString(16) : Number(SlBeginTime.substring(3, 5)).toString(16);
			var SlEndTime = SleepAid.SlEndTime
			var SlEndTime1 = Number(SlEndTime.substring(0, 2)).toString(16).length == 1 ? "0" + Number(SlEndTime.substring(0,
				2)).toString(16) : Number(SlEndTime.substring(0, 2)).toString(16);
			var SlEndTime2 = Number(SlEndTime.substring(3, 5)).toString(16).length == 1 ? "0" + Number(SlEndTime.substring(3,
				5)).toString(16) : Number(SlEndTime.substring(3, 5)).toString(16);
			volumeSleep(did, token, '0516' + SlBeginTime1 + SlBeginTime2 + SlEndTime1 + SlEndTime2);
		}
	}
});
mui('#Skipping').on('tap', '#Close', function(e) {
	$('.mbsc-platform-ios').remove()
	$('.mbsc-fr-persp').remove()
	$('#Skipping').addClass('mui-hidden')
	$('body,html').removeClass('lock-back')
	$('#Section').removeClass('mui-hidden')
	$('#Section1').addClass('mui-hidden')

});

function SleepAnalysis(data){
	var settingValues = JSON.parse(data);		
	SleepAid.SlMusic = settingValues.SlMusic;
	SleepAid.SlLighting = settingValues.SlLighting;
	SleepAid.SlBeginTime = settingValues.SlBeginTime;
	SleepAid.SlEnd = settingValues.SlEnd;
	SleepAid.SlControl = settingValues.SlControl;
	SleepAid.SlBrightness = settingValues.SlBrightness;
	SleepAid.SlEndTime = settingValues.SlEndTime;
	SleepAid.SlVoice = settingValues.SlVoice;
	
	
	mui('#SectionTime')[0].innerHTML = settingValues.SlBeginTime + '-' + settingValues.SlEndTime;
	mobiscroll1getHours = (settingValues.SlBeginTime).split(':')[0] // 开始小时
	mobiscroll1getMinutes = (settingValues.SlBeginTime).split(':')[1] //开始分钟
	mobiscroll2getHours = (settingValues.SlEndTime).split(':')[0] //结束小时
	mobiscroll2getMinutes = (settingValues.SlEndTime).split(':')[1] //结束分钟
	mobiscroll1 = Number(mobiscroll1getHours) * 60 + Number(mobiscroll1getMinutes)
	mobiscroll2 = Number(mobiscroll2getHours) * 60 + Number(mobiscroll2getMinutes)	
	if (settingValues.SlMusic) {
		mui('#SlMusic')[0].classList.add('mui-active');
		mui('#SlMusic1')[0].classList.add('mui-active');
		mui('#SlMusic3')[0].classList.add('mui-active');
		mui('#SlMusic2')[0].classList.add('mui-switchLeft')
		mui('#SlMusic2')[0].classList.add('mui-switchbackground')	
		mui('#SlMusic2')[0].style.transitionDuration = '0.2s';
		mui('#SlMusic2')[0].style.transform = 'translate(51px, 0px)';		
	}		
	if (settingValues.SlLighting) {
		mui('#SlLighting')[0].classList.add('mui-active');
		mui('#SlLighting1')[0].classList.add('mui-active');
		mui('#SlLighting3')[0].classList.add('mui-active');
		mui('#SlLighting2')[0].classList.add('mui-switchbackground')
		document.querySelectorAll('input[type="range"]')[1].value = SleepAid.SlBrightness
		document.querySelectorAll('input[type="range"]')[1].style.backgroundSize = SleepAid.SlBrightness + '% 100%';
	}
	if (settingValues.SlEnd) {
		mui('#SlEnd')[0].classList.add('mui-active');
		mui('#SlEnd1')[0].classList.add('mui-active');
		mui('#SlEnd2')[0].classList.add('mui-switchbackground')
	}
	if (settingValues.SlControl) {
		mui('#SlContro')[0].classList.add('mui-active');
		mui('#SlContro1')[0].classList.add('mui-active');
		mui('#SlContro2')[0].classList.add('mui-switchbackground')
	}			
	var ControlJson = settingValues.ControlJson;
	var data = {
		deviceId: did
	}
	HttpRequest.doRequest('GET', data, token , getinfraredDeviceUrl , function(e) {
			if (e.data.length != 0) {
				var tpl = '',
					tabTou = '',
					img = '',
					switchs = '',
					Pattern = '',
					temperature = ''
				var ControlJsonS = []
				for (var i = 0; i < e.data.length; i++) {
					if (e.data[i].typeId == 1) {
						var ControlJsonID = searchKeys(e.data[i].id, ControlJson)
						console.log(ControlJsonID)
						if (ControlJsonID != undefined) {
							var texton = ''
							if (ControlJson[ControlJsonID].on == '开') {
								texton = '开机'
							} else {
								texton = '关机'
							}
							//空调
							tabTou =
								'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse mui-active"><a class="mui-navigate-right mui-table-a mui-muiIf mui-gou" href="#" style="line-height: 2.5rem;"  data-id="' +
								e.data[i].id + '" data-pattern="制冷" data-degree="' + ControlJson[ControlJsonID].degree +
								'"  data-modelId="' + e.data[i].modelId + '" data-type="1" data-on="'+ControlJson[ControlJsonID].on+'">'
							img = '<img src="../images/Selection.png" alt="">'
							switchs = '<a class="mui-muiIf switch" data-id="' + e.data[i].id + '" data-pattern="制冷" data-degree="' +
								ControlJson[ControlJsonID].degree + '" data-modelId="' + e.data[
									i].modelId + '">' + texton + '</a>'
							Pattern = '<a class="mui-navigate-right showUserPicker mui-muiIf"  data-id="' + e.data[i].id +
								'" data-showUserPicker="1">模式<span class="mui-pull-right Pattern">' + ControlJson[ControlJsonID].pattern +
								'</span></a>'
							temperature = '<a class="mui-navigate-right showUserPicker showUserPickerNew mui-muiIf"  data-id="' + e.data[
									i].id +
								'" data-showUserPicker="2">温度<span class="mui-pull-right degree">' + ControlJson[ControlJsonID].degree +
								'</span></a>'
							ControlJsonS.push(ControlJson[ControlJsonID]);
						} else {
							//空调
							tabTou =
								'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse"><a class="mui-navigate-right mui-table-a mui-muiIf mui-gou" href="#" style="line-height: 2.5rem;" data-id="' +
								e.data[i].id +
								'" data-pattern="制冷" data-degree="16°C"  data-modelId="' + e.data[
									i].modelId +
								'" data-type="1" data-on="关">'
							img = '<img src="../images/Unselected.png" alt="">'
							switchs = '<a class="mui-muiIf switch" data-id="' + e.data[i].id +
								'" data-pattern="制冷" data-degree="16°C"  data-modelId="' + e.data[
									i].modelId +
								'">关机</a>'
							Pattern = '<a class="mui-navigate-right showUserPicker mui-muiIf"  data-id="' + e.data[i].id +
								'" data-showUserPicker="1">模式<span class="mui-pull-right Pattern">制冷</span></a>'
							temperature = '<a class="mui-navigate-right showUserPicker showUserPickerNew mui-muiIf"  data-id="' + e.data[
									i].id +
								'" data-showUserPicker="2">温度<span class="mui-pull-right degree">24°C</span></a>'
						}
						tpl += tabTou + img +
							e.data[i].name + '</a>' +
							'<div class="mui-table-view mui-table-view-chevron mui-back"><div class="mui-table-view-cell">' + switchs +
							'</div>' +
							'</div>' +
							'<div class="mui-table-view mui-table-view-chevron mui-back"><div class="mui-table-view-cell">' + Pattern +
							'</div>' +
							'</div>' +
							'<div class="mui-table-view mui-table-view-chevron mui-back">' +
							'<div class="mui-table-view-cell">' + temperature + '</div>' +
							'</div>' +
							'</li></ul>'
					} else if (e.data[i].typeId == 5) {
						//风扇
						var ControlJsonID = searchKeys(e.data[i].id, ControlJson)
						if (ControlJsonID != undefined) {
							if (ControlJson[ControlJsonID].on == '开') {
								tabTou =
									'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse mui-active"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
									e.data[i].id +
									'" data-selection="1" data-modelId="' + e.data[i].modelId +'"  data-type="2" data-on="'+ControlJson[ControlJsonID].on+'">'
								img = '<img src="../images/Selection.png" alt="">'
								switchs = '<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
									'" data-selection="1" >开</a></div>' +
									'<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
									'"  data-selection="2">关</a></div>'
							} else {
								tabTou =
									'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse mui-active"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
									e.data[i].id +
									'" data-selection="1" data-modelId="' + e.data[i].modelId +'"   data-type="2" data-on="'+ControlJson[ControlJsonID].on+'">'
								img = '<img src="../images/Selection.png" alt="">'
								switchs = '<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
									'" data-selection="1">开</a></div>' +
									'<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
									'"  data-selection="2">关</a></div>'
							}
							//空调
							ControlJsonS.push(ControlJson[ControlJsonID])
						} else {
							//空调
							tabTou =
								'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
								e.data[i].id +
								'" data-selection="1" data-modelId="' + e.data[i].modelId +'"  data-type="2" data-on="关">'
							img = '<img src="../images/Unselected.png" alt="">'
							switchs = '<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
								'" data-selection="1" >开</a></div>' +
								'<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
								'"  data-selection="2">关</a></div>'
						}
						tpl += tabTou + img + e.data[i].name + '</a>' +
							'<div class="mui-table-view mui-table-view-chevron mui-back mui-open">' + switchs + '</div></li></ul>'
					} else if (e.data[i].typeId == 2) {
						//电视
						var ControlJsonID = searchKeys(e.data[i].id, ControlJson)
						if (ControlJsonID != undefined) {
							if (ControlJson[ControlJsonID].on == '开') {
								tabTou =
									'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse mui-active"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
									e.data[i].id +
									'" data-selection="1" data-modelId="' + e.data[i].modelId +'"   data-type="3" data-on="'+ControlJson[ControlJsonID].on+'">'
								img = '<img src="../images/Selection.png" alt="">'
								switchs = '<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
									'" data-selection="1">开</a></div>' +
									'<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
									'"  data-selection="2">关</a></div>'
							} else {
								tabTou =
									'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse mui-active"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
									e.data[i].id +
									'" data-selection="1" data-modelId="' + e.data[i].modelId +'"   data-type="3" data-on="'+ControlJson[ControlJsonID].on+'">'
								img = '<img src="../images/Selection.png" alt="">'
								switchs = '<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
									'" data-selection="1" >开</a></div>' +
									'<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
									'"  data-selection="2">关</a></div>'
							}
							//空调
				
							ControlJsonS.push(ControlJson[ControlJsonID])
						} else {
							//空调
							tabTou =
								'<ul class="mui-table-view mui-table-view-chevron mui-Infra"><li class="mui-table-view-cell mui-collapse"><a class="mui-navigate-right mui-table-a  mui-gou mui-muiIf" href="#" style="line-height: 2.5rem;"   data-id="' +
								e.data[i].id +
								'" data-selection="1" data-modelId="' + e.data[i].modelId +'"  data-type="3" data-on="关">'
							img = '<img src="../images/Unselected.png" alt="">'
							switchs = '<div class="mui-table-view-cell"><a class="mui-muiIf Fan"  data-id="' + e.data[i].id +
								'" data-selection="1" >开</a></div>' +
								'<div class="mui-table-view-cell"><a class="selection mui-muiIf"  data-id="' + e.data[i].id +
								'"  data-selection="2">关</a></div>'
						}
						tpl += tabTou + img + e.data[i].name + '</a>' +
							'<div class="mui-table-view mui-table-view-chevron mui-back mui-open">' + switchs + '</div></li></ul>'
					}
				}
				SleepAid.ControlJson = ControlJsonS
				console.log(SleepAid)
				mui('#List')[0].innerHTML = tpl;
				mui('.switch').each(function() {
					this.addEventListener('tap', function(event) {
						var pattern = this.dataset.pattern;
						var degree = this.dataset.degree;
						var id = this.dataset.id;
						var modelId = this.dataset.modelid
						if (this.innerHTML == '关机') {
							this.innerHTML = '开机';
							var ControlJsonAdd = SleepAid.ControlJson
							ModifySleepAidModify(id, 3, '开')
							this.parentNode.parentNode.previousSibling.dataset.on = '开'
						} else {
							this.innerHTML = '关机';
							ModifySleepAidModify(id, 3, '关')
							this.parentNode.parentNode.previousSibling.dataset.on = '关'
						}
					}, false);
				})
				//普通示例
				var userPicker = new mui.PopPicker();
				function user(text) {
					var tr = []
					if (text == '1') {
						tr = [{
							value: '1',
							text: '自动模式'
						}, {
							value: '1',
							text: '制冷'
						}, {
							value: '2',
							text: '除湿'
						}, {
							value: '3',
							text: '送风'
						}, {
							value: '4',
							text: '制热'
						}]
					} else if (text == 2) {
						tr = [{
							value: '16',
							text: '16°C'
						}, {
							value: '17',
							text: '17°C'
						}, {
							value: '18',
							text: '18°C'
						}, {
							value: '19',
							text: '19°C'
						}, {
							value: '20',
							text: '20°C'
						}, {
							value: '21',
							text: '21°C'
						}, {
							value: '22',
							text: '22°C'
						}, {
							value: '23',
							text: '23°C'
						}, {
							value: '24',
							text: '24°C'
						}, {
							value: '25',
							text: '25°C'
						}, {
							value: '26',
							text: '26°C'
						}, {
							value: '27',
							text: '27°C'
						}, {
							value: '28',
							text: '28°C'
						}]
					}
					return tr
				}
				mui('.showUserPickerNew').each(function() {
					var that = this
					that.addEventListener('tap', function(event) {
						var showuserpicker = that.dataset.showuserpicker;
						var id = that.dataset.id;
						userPicker.setData(user(showuserpicker));
						userPicker.show(function(items) {
							that.firstChild.nextSibling.innerText = items[0].text;
							ModifySleepAidModify(id, showuserpicker, items[0].text)
						});
						console.log(that.dataset.id)
					}, false);
				})
				mui('.mui-open a').each(function() {
					this.addEventListener('tap', function(event) {
						var id = this.dataset.id
						if (this.classList.contains('selection') == false) {
							if (this.dataset.selection == 1) {
								this.parentNode.nextSibling.firstChild.classList.remove('selection')
								this.classList.add('selection')
								var ControlJsonAdd = SleepAid.ControlJson
								ModifySleepAidModify(id, 3, '开')
								this.parentNode.parentNode.previousSibling.dataset.on = '开'
							} else {
								this.parentNode.previousSibling.firstChild.classList.remove('selection')
								this.classList.add('selection')
								ModifySleepAidModify(id, 3, '关')
								this.parentNode.parentNode.previousSibling.dataset.on = '关'
							}
				
						}
				
					})
				})
			}
		})
				
}

function VolumeAnalysis(data){
	var settingValues = JSON.parse(data);
	
	PresentationNew.acVolume = settingValues.acVolume;
	PresentationNew.talkVolume = settingValues.talkVolume;
	PresentationNew.slVolume = settingValues.slVolume;
	PresentationNew.sysVolume = settingValues.sysVolume;
	if(Storage.getItem('typeNew') == '114'){
		SleepAid.SlVoice=settingValues.slVolume
	}
	var m = settingValues.slVolume;
	document.querySelectorAll('input[type="range"]')[0].value = settingValues.slVolume
	document.querySelectorAll('input[type="range"]')[0].style.backgroundSize = m + '% 100%';
}
mui('body').on('tap', '#MuiBtn', function(e) {
	if(getQueryString('sleep') == 'sleep'){
		Storage.setItem('sleep','sleep')
	}else{
		Storage.removeItem('sleep')
	}
	mui.openWindow({
		url: '../IntelligentControl/HomeAppliancetypeNew.html?html=html&token=' + token + '&did=' + did,
		id: 'HomeAppliancetype',
		show: {
			aniShow: 'slide-in-right',
			duration: 1400
		},
		waiting: {
			autoShow: false
		}
	});
})