mui.init({
	swipeBack: false
});
var client = null;
var connected = false;
var state = 5
var did = ''
var token = ''
var typeNew = Storage.getItem('typeNew')
var MusicData = [{
		name: '睡眠闹钟1',
		src: 'http://mp3.eg-live.com/mp3/Sleep/1.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟2',
		src: 'http://mp3.eg-live.com/mp3/Sleep/2.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟3',
		src: 'http://mp3.eg-live.com/mp3/Sleep/3.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟4',
		src: 'http://mp3.eg-live.com/mp3/Sleep/6.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟5',
		src: 'http://mp3.eg-live.com/mp3/Sleep/7.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟6',
		src: 'http://mp3.eg-live.com/mp3/Sleep/10.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟7',
		src: 'http://mp3.eg-live.com/mp3/Sleep/11.mp3',
		img: 'image/playSong.png'
	},
	{
		name: '睡眠闹钟8',
		src: 'http://mp3.eg-live.com/mp3/Sleep/12.mp3',
		img: 'image/playSong.png'
	}
]
var music='050202'+Turn16('http://mp3.eg-live.com/mp3/Sleep/1.mp3,http://mp3.eg-live.com/mp3/Sleep/2.mp3,http://mp3.eg-live.com/mp3/Sleep/3.mp3,http://mp3.eg-live.com/mp3/Sleep/6.mp3,http://mp3.eg-live.com/mp3/Sleep/7.mp3,http://mp3.eg-live.com/mp3/Sleep/10.mp3,http://mp3.eg-live.com/mp3/Sleep/11.mp3,http://mp3.eg-live.com/mp3/Sleep/12.mp3')
var PresentationNew = {
	sysVolume: 50, //system系统音量
	acVolume: 30, //alarm闹钟音量
	slVolume: 20, //dialogue助眠音量
	talkVolume: 50, //aid对话音量
}
Storage.setItem('MusicData', JSON.stringify(MusicData))
mui('#muiScroll')[0].style.height = (document.documentElement.clientHeight - 235) + 'px';
mui('.mui-scroll-wrapper').scroll();


/**
 * 获取当前时间
 * */
var myDate = new Date();
var H = myDate.getHours(); //获取当前小时数(0-23)
var M = myDate.getMinutes(); //获取当前分钟数(0-59)
if (M < 10) {
	M = '0' + M
}
mui('#mui-card-media')[0].innerHTML = H + ':' + M
setInterval(function() {
	var myDate = new Date();
	var H = myDate.getHours(); //获取当前小时数(0-23)
	var M = myDate.getMinutes(); //获取当前分钟数(0-59)
	if (M < 10) {
		M = '0' + M
	}
	mui('#mui-card-media')[0].innerHTML = H + ':' + M
}, 1000)

function webViewDidFinishLoad() {
	getUserData()
}


function getUserData() {
	var typeText = {
		"funName": "getUserDataFromNative",
		"callbackUrl": 'Home.html'
	}
	if (isAndroid) {
		EG_IOT.userData(JSON.stringify(typeText));
	} else {
		window.webkit.messageHandlers.userData.postMessage(JSON.stringify(typeText))
	}
}
//获取设备token及修改url的方法
function getUserDataFromNative(userData) {
	var List = JSON.parse(userData)
	console.log(List)
	if (List.token) {
		state = 4
		token = List.token
		if(List.did){
			did = List.did
			Storage.setItem('did', did)
			Storage.setItem('token', token)
			volumeGetSettingList(Storage.getItem("typeNew"))
			mqttNew(did)
			//解析手动获取
			var data = {
				deviceId: did
			}
			
			HttpRequest.doRequest('GET', data, token, getState, function(res) {
				if (res.code == '0') {
					renderDom(res.data.data)
				}
			}, function() {})
			
			//获取状态
			var data = {
				dids: did,
				state: true
			}
			HttpRequest.doRequest('GET', data, token, getListByUser, function(res) {
				state = res.data[0].state.state
			}, function() {})
		}
	} else {
		state = 4
	}
};

//声音开关
mui("body").on('tap', '.volume', function(event) {
	if (state == 5) {
		toast('未登录');
	} else {
		if (did) {
			mui('.mui-input-row')[0].classList.remove('mui-hidden');
			mui('#Controller')[0].classList.add('mui-hidden');
			mui('.mui-title-open')[0].classList.add('mui-hidden');
			mui('body').on('tap', '.mui-backdrop', function(e) {
				mui('.mui-input-row')[0].classList.add('mui-hidden');
				mui('#Controller')[0].classList.remove('mui-hidden');
				mui('.mui-title-open')[0].classList.remove('mui-hidden');
			});
			var blockRange = mui('#block-range')[0].value
			setTimeout(function() {
				if (blockRange == mui('#block-range')[0].value) {
					mui('.mui-input-row')[0].classList.add('mui-hidden');
					mui('#Controller')[0].classList.remove('mui-hidden');
					mui('.mui-title-open')[0].classList.remove('mui-hidden');
				}
			}, 3000)
		} else {
			toast('请登录添加设备后使用');
		}
	}

});
//音量
var rangeList = document.querySelectorAll('input[type="range"]');
rangeList[0].addEventListener('input', function() {
	voiceRenderDom = false
	setTimeout(function() {
		voiceRenderDom = true
	}, 1000)
	var m = this.value;
	if (this.value >= 10) {
		document.getElementById("block-range").style.backgroundSize = m + '% 100%';
		mui('.block-volume')[0].src = '../images/volume.png'
		mui('.block-volume')[1].src = '../images/volume.png'
		mui('.block-volume')[2].src = '../images/volume.png'
	} else {
		document.getElementById("block-range").style.backgroundSize = '10% 100%';
		document.getElementById("block-range").value = 10
		volumeSleep(did, token, '0515ffff0aff')
		setTimeout(function() {
			volumeSleep(did, token, '0502060a')
		}, 50)
	}
	var blockRange = mui('#block-range')[0].value
	setTimeout(function() {
		if (blockRange == mui('#block-range')[0].value) {
			mui('.mui-input-row')[0].classList.add('mui-hidden');
			mui('#Controller')[0].classList.remove('mui-hidden');
			mui('.mui-title-open')[0].classList.remove('mui-hidden');
		}
	}, 3000)
});
rangeList[0].onchange = function() {
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		var that = this
		if (did) {
			var volumeVal = Number(that.value).toString(16);
			if (that.value >= 10) {
				if (volumeVal.length == 1) {
					if (typeNew == '113') {
						setTimeout(function() {
							volumeSleep(did, token, '0502060' + volumeVal)
						}, 50)
					} else if (typeNew == '114') {
						volumeSleep(did, token, '0515ffff0' + volumeVal + 'ff')
					}
				} else {

					if (typeNew == '113') {
						setTimeout(function() {
							volumeSleep(did, token, '050206' + volumeVal)
						}, 50)
					} else if (typeNew == '114') {
						volumeSleep(did, token, '0515ffff' + volumeVal + 'ff')
					}


				}
			}
		} else {
			toast('请登录添加设备后使用');
		}
	}
};

//上一首音乐
mui("body").on('tap', '.open3', function(event) {
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			volumeSleep(did, token, '050205')
		} else {
			toast('请登录添加设备后使用');
		}
	}
});

//开关两个按钮音乐开关
mui("body").on('tap', '.switch', function(event) {
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			if (this.classList.contains('open')) {
				mui('.switch')[0].classList.remove('open')
				mui('.switch')[0].classList.add('open4')
				mui('.switch')[0].src = '../images/open4.png'
				mui('.switch')[1].classList.remove('open')
				mui('.switch')[1].classList.add('open4')
				mui('.switch')[1].src = '../images/open4.png'
				if (Storage.getItem('MusicNumber') == null) {
					Storage.setItem('MusicNumber', '0')
					volumeSleep(did, token, music)
					if(Storage.getItem('typeNew') == '114'){
						setTimeout(function() {
							volumeSleep(did, token, '051700')
						}, 50)
					}
				} else {
					var MusicNumber = Number(Storage.getItem('MusicNumber'));
					if (MusicNumber == 0) {
						volumeSleep(did, token, music)
						
						if(Storage.getItem('typeNew') == '114'){
							setTimeout(function() {
								volumeSleep(did, token, '051700')
							}, 50)
						}
					} else {
						var src = '';
						for (var i = 0; i < MusicData.length; i++) {
							if (MusicNumber <= i) {
								src += MusicData[i].src + ','
							}
						}
						volumeSleep(did, token, '050202' + Turn16(src))
						if(Storage.getItem('typeNew') == '114'){
							setTimeout(function() {
								volumeSleep(did, token, '051700')
							}, 50)
						}
					}
				}
			} else {
				mui('.switch')[0].classList.add('open')
				mui('.switch')[0].classList.remove('open4')
				mui('.switch')[0].src = '../images/open.png'
				mui('.switch')[1].classList.add('open')
				mui('.switch')[1].classList.remove('open4')
				mui('.switch')[1].src = '../images/open.png'
				volumeSleep(did, token, '050200')
				Storage.setItem('MusicNumber', '0')
				mui('.SrcImg').each(function() {
					this.innerHTML = ''
				})
			}
		} else {
			toast('请登录添加设备后使用');
		}

	}

});

//下一首音乐
mui("body").on('tap', '.open2', function(event) {
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			volumeSleep(did, token, '050204')
		} else {
			toast('请登录添加设备后使用');
		}

	}

});

//设置
mui("body").on('tap', '.SetUp', function(event) {
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			mui.openWindow({
				url: '../SetUp/SetUp_SleepAid.html?html=html&sleep=sleep&token=' + token + '&did=' + did,
				id: '../SetUp/SetUp_SleepAid.html',
				show: {
					aniShow: 'pop-in',
					duration: 400
				},
				waiting: {
					autoShow: false
				}
			});
		} else {
			toast('请登录添加设备后使用');
		}
	}


});
mui("body").on('tap', '#AlarmAdd', function(event) {
	if (did) {
		mui.openWindow({
			url: '../AlarmClock/AddAlarm.html?html=html&Sleep=Sleep&token=' + token + '&did=' + did,
			id: '../AlarmClock/AddAlarm.html',
			show: {
				aniShow: 'pop-in',
				duration: 400
			},
			waiting: {
				autoShow: false
			}
		});
	} else {
		toast('请登录添加设备后使用');
	}

});

mui('#playImg').on('tap', 'li', function(event) {
	var that = this
	var Nu = that.dataset.src
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			mui('.SrcImg').each(function() {
				this.innerHTML = ''
			})
			console.log(that)
			that.lastElementChild.innerHTML = '<img src="../images/Play.gif" alt="" class="mui-pull-right" style="">';
			var src = '';
			for (var i = 0; i < MusicData.length; i++) {
				if (Nu <= i) {
					src += MusicData[i].src + ','
				}
			}
			volumeSleep(did, token, '050202' + Turn16(src))
			if(Storage.getItem('typeNew') == '114'){
				setTimeout(function() {
					volumeSleep(did, token, '051700')
				}, 50)
			}
			Storage.setItem('MusicNumber', Nu)
		} else {
			toast('请登录添加设备后使用');
		}
	}


})





//点击开始睡眠
mui('body').on('tap', '#SleepOff', function(event) {
	var that = this
	if (state == 5) {
		toast('未登录');
	} else if (state == 0) {
		toast('设备已离线');
	} else {
		if (did) {
			mui('#button')[0].classList.remove('mui-hidden')
			that.classList.add('mui-hidden')
			mui.showLoading(" ", "div"); //加载文字和类型，plus环境中类型为div时强制以div方式显示
			setTimeout(function() {
				mui.hideLoading()
			}, 1000)
			volumeSleep(did, token, '050401'); //开始睡眠
			var data = {
				deviceId: did,
				settingType: 2
			}
			HttpRequest.doRequest('GET', data, token, getSettingList, function(e) {
				if (e.data.length != 0) {
					var settingValues = JSON.parse(e.data[0].settingValues);
					if (settingValues.SlMusic) {
						volumeSleep(did, token, music)
						Storage.setItem('MusicNumber', '0')
						if(Storage.getItem('typeNew') == '114'){
							setTimeout(function() {
								volumeSleep(did, token, '051700')
							}, 50)
						}
					}
					if (settingValues.SlLighting) {

					}
					if (settingValues.SlControl) { //红外控制ControlJson

					}
				}
			})

		} else {
			toast('请登录添加设备后使用');
		}
	}


})
/**
 * 长按动画
 * **/
var c = 0;
var tid;
var color = 'rgb(238, 238, 238)';
var btn = document.getElementById("button"); //点就
var circleBar = document.getElementsByClassName('circle-bar')[0];
var percent = document.getElementsByClassName('percent')[0]; //百分比
var left_circle = circleBar.getElementsByClassName('circle-bar-left')[0]; //左边圆圈
var right_circle = circleBar.getElementsByClassName('circle-bar-right')[0]; //右边圆圈
btn.addEventListener('touchstart', function() { //长按
	tid = setInterval(function() {
		c++;
		if (c <= 50) {
			var rotate = 'rotate(' + (c * 3.6) + 'deg)';
			right_circle.css3('transform', rotate);
		} else if (c <= 100) {
			var rotate = 'rotate(' + ((c - 50) * 3.6) + 'deg)';
			right_circle.css('border-color', color); //背景色设置为进度条的颜色
			right_circle.css3('transform', 'none'); //右侧不旋转
			left_circle.css3('transform', rotate); //左侧旋转
		} else {
			clearInterval(tid);
			volumeSleep(did, token, '050400'); //结束睡眠
			Storage.setItem('MusicNumber', '0')
			mui.showLoading(" ", "div"); //加载文字和类型，plus环境中类型为div时强制以div方式显示
			setTimeout(function() {
				mui.hideLoading()
				mui('#SleepOff')[0].classList.remove('mui-hidden')
				mui('#button')[0].classList.add('mui-hidden')
				var data = {
					did: did,
					searchTime: transformTime(new Date())
				}
				HttpRequest.doRequest('GET', data, token, realtimeData, function(res) {
					if (res.code == '0') {
						if (res.data != null) {
							mui('#Skipping')[0].classList.remove('mui-hidden')
						} else {
							mui.alert('暂无报告', ' ', function() {}, 'div');
						}
					} else {
						mui.alert('睡眠时间少于10分钟，无法生成睡眠报告哦～', ' ', function() {}, 'div');
					}
				}, function() {})

			}, 5000)


		}
	}, 12);
});
btn.addEventListener('touchend', function() { //松开
	c = 0
	right_circle.css('border-color', '#6AE3FF'); //背景色设置为进度条的颜色
	left_circle.css('border-color', '#6AE3FF'); //背景色设置为进度条的颜色
	right_circle.css3('transform', 'rotate(0deg)'); //右侧不旋转
	left_circle.css3('transform', 'rotate(0deg)'); //左侧旋转
	clearInterval(tid);
})
//封装了css3函数，主要是懒得重复书写代码，既然写了css3函数，顺便写个css吧，统一样式，好看一些
Element.prototype.css = function(property, value) {

	if (value) {
		//CSS中像background-color这样的属性，‘-’在JavaScript中不兼容，需要设置成驼峰格式
		var index = property.indexOf('-');
		if (index != -1) {
			var char = property.charAt(index + 1).toUpperCase();
			property.replace(/(-*){1}/, char);
		}
		this.style[property] = value;
	} else {
		//getPropertyValue()方法参数类似background-color写法，所以不要转驼峰格式
		return window.getComputedStyle(this).getPropertyValue(property);
	}
}

//封装一个css3函数，用来快速设置css3属性
Element.prototype.css3 = function(property, value) {
	if (value) {
		property = capitalize(property.toLowerCase());
		this.style['webkit' + property] = value;
		this.style['Moz' + property] = value;
		this.style['ms' + property] = value;
		this.style['O' + property] = value;
		this.style[property.toLowerCase()] = value;
	} else {
		return window.getComputedStyle(this).getPropertyValue(
			('webkit' + property) || ('Moz' + property) || ('ms' + property) || ('O' + property) || property);
		//老实说，我不知道为什么要把不带浏览器标记的放在最后，既然都这么用，我也这么做吧。不过这样对现代浏览器来说可能并不好，判断次数变多了
	}

	//首字母大写
	function capitalize(word) {
		return word.charAt(0).toUpperCase() + word.slice(1);
	}
}
//关闭当前跳转睡眠报告弹出框
mui('body').on('tap', '#CloseSkipping', function(event) {
	mui('#Skipping')[0].classList.add('mui-hidden')
})
mui('body').on('tap', '#realTime', function(event) {
	mui('#Skipping')[0].classList.add('mui-hidden')
	mui.openWindow({
		url: '../SleepPresentation/realTime.html?html=html&token=' + token + '&did=' + did,
		id: 'realTime',
		show: {
			aniShow: 'slide-in-right',
			duration: 1400
		},
		waiting: {
			autoShow: false
		}
	});
})

function generalSetOrder(generalOptions) {
	var base = "0510" + currency.CyTips + currency.CyControl + currency.CyCall + currency.CyAwaken
	return base;
}
