var myChart6 ,Statistics
function Statistics1(data1, data2 , data3) {
	var dom = document.getElementById("Statistics");
	myChart6 = echarts.init(dom);
	var s1='28'
	if(data1.toString().length >= 4 || data2.toString().length >= 4 || data3.toString().length >= 4){
		s1='23'
	}else if(data1.toString().length >= 3 || data2.toString().length >= 3 || data3.toString().length >= 3){
		s1='26'
	}
	
	Statistics = {
		title: [{
			text: data1,
			x: '13%',//
			y: '28%', 
			textStyle: {
				fontWeight: 'normal',
				color: '#666666',
				fontSize: s1
			},
			textAlign:'center'
		}, {
			text: '分',
			x: '20%',
			y: '36%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '10'
			}
		}, {
			text: '综合得分',
			x: '8%',
			y: '80%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '12'
			}
		}, {
			text: data2,
			x: '48%',
			y: '28%',
			textStyle: {
				fontWeight: 'normal',
				color: '#666666',
				fontSize:s1
			},
			textAlign:'center'
		}, {
			text: 'h',
			x: '55%',
			y: '36%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '10'
			}
		}, {
			text: '平均睡眠时长',
			x: '39.5%',
			y: '80%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '12'
			}
		}, {
			text: data3,
			x: '83%',
			y: '28%',
			textStyle: {
				fontWeight: 'normal',
				color: '#666666',
				fontSize: s1
			},
			textAlign:'center'
		}, {
			text: 'h',
			x: '90%',
			y: '36%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '10'
			}
		}, {
			text: '平均深睡时长',
			x: '74.5%',
			y: '80%',
			textStyle: {
				fontWeight: 'normal',
				color: '#999999',
				fontSize: '12'
			}
		}],
		color: '#F3F3F3',

		series: [{
			name: 'Line 1',
			type: 'pie',
			clockWise: true,
			radius: ['60%', '65%'],
			center: ['15%', '40%'],
			itemStyle: {
				normal: {
					label: {
						show: false
					},
					labelLine: {
						show: false
					}
				}
			},
			hoverAnimation: false,
			data: [{
				value: data1,
				name: '已使用',
				itemStyle: {
					normal: {
						color: { // 完成的圆环的颜色
							colorStops: [{
								offset: 0,
								color: '#6BCAFF' // 0% 处的颜色
							}, {
								offset: 1,
								color: '#6BCAFF' // 100% 处的颜色
							}]
						},
						label: {
							show: false
						},
						labelLine: {
							show: false
						}
					}
				}
			}, {
				name: '未使用',
				value: 100-data1
			}]
		}, {
			name: 'Line 2',
			type: 'pie',
			clockWise: true,
			radius: ['60%', '65%'],
			center: ['50%', '40%'],
			itemStyle: {
				normal: {
					label: {
						show: false
					},
					labelLine: {
						show: false
					}
				}
			},
			hoverAnimation: false,
			data: [{
				value: data2,
				name: '已使用',
				itemStyle: {
					normal: {
						color: { // 完成的圆环的颜色
							colorStops: [{
								offset: 0,
								color: '#FFC25F' // 0% 处的颜色
							}, {
								offset: 1,
								color: '#FFC25F' // 100% 处的颜色
							}]
						},
						label: {
							show: false
						},
						labelLine: {
							show: false
						}
					}
				}
			}, {
				name: '未使用',
				value: 100-data2
			}]
		}, {
			name: 'Line 3',
			type: 'pie',
			clockWise: true,
			radius: ['60%', '65%'],
			center: ['85%', '40%'],
			itemStyle: {
				normal: {
					label: {
						show: false
					},
					labelLine: {
						show: false
					}
				}
			},
			hoverAnimation: false,
			data: [{
				value: data3,
				name: '已使用',
				itemStyle: {
					normal: {
						color: { // 完成的圆环的颜色
							colorStops: [{
								offset: 0,
								color: '#6EE7CA' // 0% 处的颜色
							}, {
								offset: 1,
								color: '#6EE7CA' // 100% 处的颜色
							}]
						},
						label: {
							show: false
						},
						labelLine: {
							show: false
						}
					}
				}
			}, {
				name: '未使用',
				value: 100-data3
			}]
		}],
		
	};
	if (Statistics && typeof Statistics === "object") {
		myChart6.setOption(Statistics, true);
	}

}
