Storage.setItem('did', getQueryString("did"))
Storage.setItem('token', getQueryString("token"))
volumeGetSettingList(Storage.getItem("typeNew"))
mui('#NoTime1')[0].classList.remove('mui-hidden')
mui.showLoading(" ", "div");
setTimeout(function() {
	mui('#NoTime1')[0].classList.add('mui-hidden')
	mui.hideLoading()
}, 1000)
historySleep()

function historySleep() {
	var data = {
		did: getQueryString("did"),
		searchTime: transformTime(new Date())
	}
	HttpRequest.doRequest('GET', data, getQueryString("token"), realtimeData, function(e) {
		if (e.data != null) {
			//圆饼评分
			var total = Number(e.data.wakeHourlong) + Number(e.data.lightSleepHourlong) + Number(e.data.moderateSleepHourlong) +
				Number(e.data.deepSleepHourlong)
			var wakeHourlong = (e.data.wakeHourlong / total).toFixed(2);
			var lightSleepHourlong = (e.data.lightSleepHourlong / total).toFixed(2);
			var moderateSleepHourlong = (e.data.moderateSleepHourlong / total).toFixed(2);
			var deepSleepHourlong = (Math.abs(1 - wakeHourlong - lightSleepHourlong - moderateSleepHourlong)).toFixed(2);
			console.log(total)
			console.log(wakeHourlong)
			console.log(lightSleepHourlong)
			console.log(moderateSleepHourlong)
			console.log(deepSleepHourlong)
			setTimeout(function() {
				container1((deepSleepHourlong * 100).toFixed(), (moderateSleepHourlong * 100).toFixed(), (lightSleepHourlong *
					100).toFixed(), (wakeHourlong * 100).toFixed(), e.data.sleepScore)
			}, 1000)
			console.log((deepSleepHourlong * 100).toFixed())
			console.log((moderateSleepHourlong * 100).toFixed())
			console.log((lightSleepHourlong * 100).toFixed())
			console.log((wakeHourlong * 100).toFixed())
			console.log(e.data.sleepScor)
			mui('#SleepTime')[0].innerHTML = transformTime(e.data.beginTime).substring(11, 16) + '-' + transformTime(e.data.endTime).substring(11, 16)
			

			if (e.data.toSleepHourlong) {
				var toSleepHourlong = (e.data.toSleepHourlong / 60).toFixed(1)
				mui('#asleep')[0].innerHTML = toSleepHourlong + 'h'
			}
			if (e.data.sleepHourlong) {
				var sleepHourlong = (e.data.sleepHourlong / 60).toFixed(1)
				mui('#SleepDuration')[0].innerHTML = sleepHourlong + 'h'
			}
			deepSleepHourlong = e.data.deepSleepHourlong //深睡时间
			moderateSleepHourlong = e.data.moderateSleepHourlong //中睡
			lightSleepHourlong = e.data.lightSleepHourlong //浅睡
			wakeHourlong = e.data.wakeHourlong //清醒
			avgHeartRate = e.data.avgHeartRate //心率
			avgBreath = e.data.avgBreath //呼吸率
			var loop = deepSleepHourlong + moderateSleepHourlong + lightSleepHourlong + wakeHourlong

			if (Number(loop) == 0) {
				mui('#deepSleep')[0].innerHTML = "0%"; //计算深睡百分比,保留两位小数
				mui('#middleSleep')[0].innerHTML = "0%"; //计算中睡百分比,保留两位小数
				mui('#lightSleep')[0].innerHTML = "0%"; //计算浅睡百分比,保留两位小数
				mui('#clearWakePercent')[0].innerHTML = "0%"; //计算清醒百分比,保留两位小数

			} else {
				mui('#deepSleep')[0].innerHTML = (deepSleepHourlong / loop * 100).toFixed() + "%"; //计算深睡百分比,保留两位小数
				mui('#middleSleep')[0].innerHTML = (moderateSleepHourlong / loop * 100).toFixed() + "%"; //计算中睡百分比,保留两位小数
				mui('#lightSleep')[0].innerHTML = (lightSleepHourlong / loop * 100).toFixed() + "%"; //计算浅睡百分比,保留两位小数
				mui('#clearWakePercent')[0].innerHTML = (100 - (deepSleepHourlong / loop * 100).toFixed() - (
					moderateSleepHourlong / loop * 100).toFixed() - (lightSleepHourlong / loop * 100).toFixed()) + "%"; //计算清醒百分比,保留两位小数

			}
			mui('#breath')[0].innerHTML = avgBreath + '次/分';
			mui('#heartRate')[0].innerHTML = avgHeartRate + '次/分';

			mui('#deepSleepTime')[0].innerHTML = (deepSleepHourlong / 60).toFixed(1) + 'h';
			mui('#lightSleepTime')[0].innerHTML = (lightSleepHourlong / 60).toFixed(1) + 'h';
			mui('#middleSleepTime')[0].innerHTML = (moderateSleepHourlong / 60).toFixed(1) + 'h';
			mui('#clearWakePercentTime')[0].innerHTML = (wakeHourlong / 60).toFixed(1) + 'h';
			if (e.data.beginTime && e.data.endTime) {
				var data = {
					deviceId: getQueryString("did"),
					beginTime: transformTime(e.data.beginTime).substring(0, 16),
					endTime: transformTime(e.data.endTime).substring(0, 16)
				}
				HttpRequest.doRequest('POST', data, getQueryString("token"), historySleepUrl, function(e) {
					var list = e.data;
					if (list.length > 2) {
						mui('#curve')[0].classList.remove("mui-hidden")
						mui('#NoTime')[0].classList.add("mui-hidden")
						sleepData(list) //解析睡眠Data
					} else {
						mui('#curve')[0].classList.add("mui-hidden")
						mui('#NoTime')[0].classList.remove("mui-hidden")
					}
				}, function(e) {
					console.log(e)
				})
			}
		}
	}, function() {})
}







// '2019-08-10 18:07:49' 转时间戳
function renderTime(e) {
	return Date.parse(new Date(e)) || Date.parse(new Date(String(e).replace(/\-/g, "/")))
}
//解析睡眠Data
function sleepData(data) {
	console.log(data)

	var list = data
	var tdBreath = [], //呼吸
		tdBreathTotal = 0,
		tdCreateDate = [], //日期
		tdHeartRate = [], //心率
		tdHeartRateTotal = 0,
		tdSleepStatus = [], //睡眠状态
		tdOrdertype = [], //新的日期
		//定义6个睡眠变量次数
		clearWake = 0, //清醒
		lightSleep = 0, //浅睡
		middleSleep = 0, //中睡
		deepSleep = 0, //深睡
		OffLine = 0, //离线长度
		Numanned = 0 //无人

	for (var i = 0; i < list.length; i++) {
		//呼吸
		tdBreath.push(list[i].breath)
		tdBreathTotal += Number(list[i].breath)
		//日期
		tdCreateDate.push(renderTime(list[i].createTime))
		//心率
		tdHeartRate.push(list[i].heartRate)
		tdHeartRateTotal += Number(list[i].heartRate)
		//类型
		tdOrdertype.push(list[i].orderType)
		//睡眠状态
		tdSleepStatus.push(list[i].sleepStatus)

	}
	console.log(tdSleepStatus)
	console.log(tdCreateDate[tdCreateDate.length - 1])
	var length = Math.ceil((tdCreateDate[tdCreateDate.length - 1] / 60000 - tdCreateDate[0] / 60000) / 3);

	console.log('新数组长度===' + length)
	var sNew = [] //2019-07-11 00:02  +i*3
	for (var i = 0; i < length; i++) {
		sNew.push(tdCreateDate[0] + i * 180000)
	}
	var DateTime = []
	for (var i = 0; i < sNew.length; i++) {
		DateTime.push(Conversiontime(sNew[i]))
	}
	var DateTimeH = '',
		DateTimeM = ''
	if (DateTime[0] == undefined) {
		DateTimeH = 0
	} else {
		DateTimeH = DateTime[0]
	}
	if (DateTime[DateTime.length - 1] == undefined) {
		DateTimeM = 0
	} else {
		DateTimeM = DateTime[DateTime.length - 1]
	}

	var xNew = []; //呼吸数据储存
	var lNew = []; //心率数据储存
	var MNew = [] //睡眠数据储存
	var L = 0;

	/**
	 * tdCreateDate 长度132的时间戳（旧）
	 * sNew   长度809的时间戳	（新）
	 * 
	 * xNew   呼吸数据储存长度809的数据		（新）
	 * lNew	  心率数据储存长度809的数据		（新）
	 * */
	for (var i = 0; i < sNew.length; i++) {
		var sum = 0;
		var lum = 0
		var Mum = 0;
		var N = 0;
		for (var j = L; j < tdCreateDate.length; j++) {
			if (tdCreateDate[j] >= sNew[i] && tdCreateDate[j] < sNew[i] + 180000) {
				sum += Number(tdBreath[j]);
				lum += Number(tdHeartRate[j]);
				Mum += Number(tdSleepStatus[j]);
				N++;
			} else {
				break
			}
			L++;
		}
		if (N == 0) {
			xNew.push(Number(tdBreath[L]))
			lNew.push(Number(tdHeartRate[L]))
			MNew.push(Number(tdSleepStatus[L]))
		} else {
			var aveValue = sum / N;
			xNew.push(Math.round(aveValue))
			var laveValue = lum / N;
			lNew.push(Math.round(laveValue))
			var SleepValue = Mum / N;
			MNew.push(Math.round(SleepValue))
		}
	}
	console.log('呼吸数据储存xNew' + xNew)
	console.log(xNew)
	console.log('心率数据储存lNew' + lNew)
	console.log(lNew)
	console.log('睡眠状态储存MNew' + MNew)
	console.log(MNew)
	//计算睡眠统计中的睡眠质量、心率、呼吸的平均值
	function avg(arr) {
		var sum = 0;
		for (i in arr) {
			sum += arr[i];
		}
		return sum / arr.length;
	}
	for (var i = 0; i < MNew.length; i++) {
		if (MNew[i] == 1) {
			clearWake += 1;
		} else if (MNew[i] == 2) {
			lightSleep += 1;
		} else if (MNew[i] == 3) {
			middleSleep += 1;
		} else if (MNew[i] == 4) {
			deepSleep += 1;
		} else if (MNew[i] == 5) {
			OffLine += 1; //离线
		} else {
			Numanned += 1; //无人
		}
	}

	function searchKeys(needle, haystack) {
		var result = [];
		for (i in haystack) {
			if (haystack[i] == needle) {
				result.push(i);
				return result;
			}
		}
	}
	var result = searchKeys(2, MNew);
	var h = (sNew[result] - sNew[0]) / 3600000;


	console.log(result);
	console.log((sNew[result] - sNew[0]) / 3600000)
	console.log(MNew.indexOf('2', '0'))
	console.log('清醒次数==' + clearWake)
	console.log('浅睡次数==' + lightSleep)
	console.log('中睡次数==' + middleSleep)
	console.log('深睡次数==' + deepSleep)
	console.log('离线长度次数==' + OffLine)
	console.log('无人次数==' + Numanned)
	var totalTime = Math.ceil(tdCreateDate[tdCreateDate.length - 1] - tdCreateDate[0]);
	console.log('总时间==' + totalTime)
	var sleepdataLength = clearWake + lightSleep + middleSleep + deepSleep //清醒+浅睡+中睡+深睡
	var middleSleepPercent = (middleSleep / sleepdataLength).toFixed(2); //计算中睡百分比,保留两位小数
	var lightSleepPercent = (lightSleep / sleepdataLength).toFixed(2); //计算浅睡百分比,保留两位小数
	var deepSleepPercent = (deepSleep / sleepdataLength).toFixed(2); //计算深睡百分比,保留两位小数
	var clearWakePercent = (Math.abs(1 - middleSleepPercent - lightSleepPercent - deepSleepPercent)).toFixed(2); //计算清醒百分比,保留两位小数





	var breath = Math.floor(avg(tdBreath)); //向下取整,平均呼吸率。
	var hearthrate = Math.floor(avg(tdHeartRate)); //向下取整,平均心率
	//计算总时间
	var sumTime; //定义总时长
	var startDate = new Date(tdCreateDate[0]).getDate(); //开始日期
	var endDate = new Date(tdCreateDate[tdCreateDate.length - 1]).getDate(); //结束日期
	console.log("------------aaa我是开始日期-----" + startDate);
	console.log("------------bbb我是结束日期-----" + endDate);


	var firstTime = HMSTime(tdCreateDate[0]); //开始时间
	var lastTime = HMSTime(tdCreateDate.length - 1); //结束时间
	console.log("------------firstTime----" + firstTime);
	console.log("------------lastTime-----" + lastTime);

	if (startDate != endDate) {
		sumTime = 24 * 3600 - getTimeSec(firstTime) + getTimeSec(lastTime);
	} else {
		sumTime = getTimeSec(lastTime) - getTimeSec(firstTime);
	}

	console.log("我是总时长----------" + sumTime);






	//container('0', '20', '60','20', '20')
	//睡眠曲线
	Cylinder1(DateTime, MNew, DateTime[0], DateTime[DateTime.length - 1])



	var XLNew = [];
	for (var i = 0; i < xNew.length; i++) {
		if (xNew[i] == '0') {
			XLNew.push('')
		} else {
			XLNew.push(xNew[i])
		}

	}
	//心率
	heart1(XLNew, DateTime, DateTime[0], DateTime[DateTime.length - 1])



	var LLNew = [];
	for (var i = 0; i < lNew.length; i++) {
		if (lNew[i] == '0') {
			LLNew.push('')
		} else {
			LLNew.push(lNew[i])
		}

	}

	//呼吸
	breathing1(LLNew, DateTime, DateTime[0], DateTime[DateTime.length - 1])
}
