mui.init();
mui('.mui-scroll-wrapper').scroll();
var token = getQueryString('token');
var did = getQueryString('did');
Storage.setItem('did', did)
Storage.setItem('token', token)
volumeGetSettingList(Storage.getItem("typeNew"))
var deviceSettingId = '';
SendInstruction("052004"); //请求设备上报闹钟参数
mui('body').on('tap', '#back', function(e) {
	var typeText = {
		"callBackNative": 3,
		"urlAddr": ""
	}
	if(isAndroid){
		EG_IOT.callBack(JSON.stringify(typeText));
	}else{
		window.webkit.messageHandlers.callBack.postMessage(JSON.stringify(typeText))
	}
});
var AlarmCloc = {
	sleepRemindState1: "00", //0：没设置或删除。1：关闭。2：启用
	sleepRemindHour1: "00", //睡眠提醒闹钟1的小时值。0~23小时
	sleepRemindMin1: "00", //睡眠提醒闹钟1的分钟值。0~59分钟
	sleepRemindRepeat1: "00", //睡眠提醒闹钟1的重复周期设置
	sleepRemindMusic1: "00", //睡眠提醒闹钟1的铃声
	sleepRemindState2: "00",
	sleepRemindHour2: "00",
	sleepRemindMin2: "00",
	sleepRemindRepeat2: "00",
	sleepRemindMusic2: "00",
	sleepRemindState3: "00",
	sleepRemindHour3: "00",
	sleepRemindMin3: "00",
	sleepRemindRepeat3: "00",
	sleepRemindMusic3: "00",
	sleepRemindState4: "00",
	sleepRemindHour4: "00",
	sleepRemindMin4: "00",
	sleepRemindRepeat4: "00",
	sleepRemindMusic4: "00",
	sleepRemindState5: "00",
	sleepRemindHour5: "00",
	sleepRemindMin5: "00",
	sleepRemindRepeat5: "00",
	sleepRemindMusic5: "00",
	wakeupState1: "01",
	wakeupHour1: "00",
	wakeupMin1: "00",
	wakeupRepeat1: "00",
	wakeupMusic1: "00",
	wakeupState2: "00",
	wakeupHour2: "00",
	wakeupMin2: "00",
	wakeupRepeat2: "00",
	wakeupMusic2: "00",
	wakeupState3: "00",
	wakeupHour3: "00",
	wakeupMin3: "00",
	wakeupRepeat3: "00",
	wakeupMusic3: "00",
	wakeupState4: "00",
	wakeupHour4: "00",
	wakeupMin4: "00",
	wakeupRepeat4: "00",
	wakeupMusic4: "00",
	wakeupState5: "00",
	wakeupHour5: "00",
	wakeupMin5: "00",
	wakeupRepeat5: "00",
	wakeupMusic5: "00",
}
var Roman = {
	Roman1: '一',
	Roman2: '二',
	Roman3: '三',
	Roman4: '四',
	Roman5: '五',
	Roman6: '六',
	Roman7: '日'
};

mui.showLoading(' ', 'div')
setTimeout(function(){
	mui.hideLoading()
},1000)
var data = {
	deviceId: getQueryString('did'),
	settingType: 4,
}
HttpRequest.doRequest('GET', data, token, getSettingList, function(e) {
	if (e.code == 0) {
		if (e.data.length == 0) {
			var data = {
				deviceId: getQueryString('did'),
				settingType: 4,
				settingValues: JSON.stringify(AlarmCloc),
				flag: true
			}
			HttpRequest.doRequest('POST', data, token, saveSettings, function(e) {}, function() {})
		} else {
			var settingValues = JSON.parse(e.data[0].settingValues);
			AlarmCloc = settingValues;
			getState(settingValues, e.data[0].deviceSettingId)
			deviceSettingId = e.data[0].deviceSettingId
			if (settingValues.wakeupHour1 != '00') {
				var wakeupHour1 = settingValues.wakeupHour1;
				var wakeupMin1 = settingValues.wakeupMin1;
				if (wakeupHour1.length == 1) {
					wakeupHour1 = '0' + settingValues.wakeupHour1;
				}
				if (wakeupMin1.length == 1) {
					wakeupMin1 = '0' + settingValues.wakeupMin1;
				}
				if (wakeupHour1) {
					mui('#wakeupHour')[0].innerHTML = wakeupHour1 + ':' + wakeupMin1
				} else {
					mui('#wakeupHour')[0].innerHTML = '00:00'
				}

			} else {
				mui('#wakeupHour')[0].innerHTML = '00:00'
			}
			if (settingValues.wakeupState1 == '2' || settingValues.wakeupState1 == '02') {
				mui('#MuiSwitch')[0].classList.add('mui-active');
			}
		}
	} else {
		toast('获取数据失败')
	}
}, function() {
	mui.hideLoading()
	
})
//防止未登陆提前添加点击事件
mui('body').on('tap', '.addSleepAlarm', function(e) {
	if(getQueryString("token")){
		if(getQueryString("did")){	 
			
		}else{
			toast('请登录添加设备后使用');
		}
	}else{
		toast('未登录');
	}
});
function getState(list, deviceSettingId) {
	console.log(list)
	var sleepRemindData = [];
	var wakeupData = [];
	var sleepState = [];
	var wakeupState = [];
	for (var i = 1; i < 6; i++) {
		sleepState.push(Number(list['sleepRemindState' + i]))
		wakeupState.push(Number(list['wakeupState' + i]))
		if (list['sleepRemindState' + i] != '00' && list['sleepRemindState' + i] != '0') {
			var sleepRemind = {
				sleepRemindHour: SingleOrDouble(list['sleepRemindHour' + i]),
				sleepRemindMin: SingleOrDouble(list['sleepRemindMin' + i]),
				sleepRemindMusic: SingleOrDouble(list['sleepRemindMusic' + i]),
				sleepRemindRepeat: SingleOrDouble(list['sleepRemindRepeat' + i]),
				sleepRemindState: SingleOrDouble(list['sleepRemindState' + i]),
				num: i
			}
			sleepRemindData.push(sleepRemind);
		}
		if (list['wakeupState' + i] != '00' && list['wakeupState' + i] != '0') {
			var wakeup = {
				wakeupHour: SingleOrDouble(list['wakeupHour' + i]),
				wakeupMin: SingleOrDouble(list['wakeupMin' + i]),
				wakeupMusic: SingleOrDouble(list['wakeupMusic' + i]),
				wakeupRepeat: SingleOrDouble(list['wakeupRepeat' + i]),
				wakeupState: SingleOrDouble(list['wakeupState' + i]),
				num: i
			}
			wakeupData.push(wakeup);
		}


	}
	console.log('睡眠=====================' + JSON.stringify(sleepRemindData))
	console.log('睡眠长度=====================' + sleepRemindData.length)
	console.log('起床=====================' + JSON.stringify(wakeupData))
	var addtitle = '<div class="addtitle">添加闹钟</div><div class="addimg addSleepAlarm"></div>'
	if (sleepRemindData.length + wakeupData.length == 0) {
		mui('.tianjia2')[0].innerHTML = ' '
		mui('.tianjia1')[0].innerHTML = addtitle
	} else {
		if (Number(sleepRemindData.length + wakeupData.length) <= 2) {
			mui('.tianjia2')[0].innerHTML = addtitle
			mui('.tianjia1')[0].innerHTML = ' '
		} else {
			mui('.tianjia1')[0].innerHTML = addtitle
			mui('.tianjia2')[0].innerHTML = ' '
		}

	}
	var sleepTpl = '';
	var wakeupTpl = ''
	for (var i = 0; i < sleepRemindData.length; i++) {
		var everydtae = '';
		//console.log(sleepRemindData[i].sleepRemindRepeat)
		var Bit = replenishBit(sleepRemindData[i].sleepRemindRepeat)
		var Roma = ''
		for (var j = 1; j < Bit.length; j++) {
			if (Bit[j] == "1") {
				//console.log('等于'+Roman['Roman'+(Bit.length-j)])
				everydtae += '，<span class="everydtae">周' + Roman['Roman' + (j)] + '</span>'
				Roma += '周' + Roman['Roman' + (j)]
			} else {
				//console.log('不等于'+Roman['Roman'+(Bit.length-j)])
			}


		}
		if (Roma == '周一周二周三周四周五') {
			everydtae = '，工作日'
		} else if (Roma == '周六周日') {
			everydtae = '，休息日'
		} else if (Roma == '周一周二周三周四周五周六周日') {
			everydtae = '，每天'
		}
		console.log(Roma)
		var switchs = ''
		if (sleepRemindData[i].sleepRemindState == 2) {
			switchs = '<div class="mui-switch mui-switch-mini mui-switch-minione mui-active" data-name="sleep" data-num="' +
				sleepRemindData[i].num +
				'" style="transition-duration: 0.2s;"><div class="mui-switch-handle mui-switch-handleone" style="transition-duration: 0.2s; transform: translate(35px, 0px);"></div></div>'

		} else {
			switchs = '<div class="mui-switch mui-switch-mini mui-switch-minione"  data-name="sleep" data-num="' +
				sleepRemindData[i].num + '">' +
				'<div class="mui-switch-handle mui-switch-handleone"></div>' +
				'</div>'
		}
		sleepTpl += '<li class="mui-table-view-cell mui-transitioning sleepAlarmItem">' +
			'<div class="mui-slider-right mui-disabled">' +
			'<a href="javascript:;" class="mui-btn mui-btn-red mui-muiIf" style="transform: translate(0px, 0px);"  data-name="sleep" data-num="' +
			sleepRemindData[i].num + '">删除</a>' +
			'</div>' +
			'<div class="mui-slider-handle mui-slider-handleone" style="transform: translate(0px, 0px);">' +
			'<div class="left"  data-name="sleepRemind" data-music="' + sleepRemindData[i].sleepRemindMusic + '" data-num="' +
			sleepRemindData[i].num + '">' +
			'<div class="setalarmtime sleepTime1">' + sleepRemindData[i].sleepRemindHour + ':' + sleepRemindData[i].sleepRemindMin +
			'</div>' +
			'<div class="meitian setSleepAlarmItem sleepAlarmItem1">' +
			'<p class="headline">睡觉</p>' + everydtae + '</div>' +
			'</div>' +
			'<div class="right">' + switchs +

			'</div>' +
			'</div>' +
			'</li>'
	}
	for (var i = 1; i < wakeupData.length; i++) {
		var everydtae = '';
		//console.log(sleepRemindData[i].sleepRemindRepeat)
		var Bit = replenishBit(wakeupData[i].wakeupRepeat)
		//console.log(Bit.length)
		var Roma = ''
		for (var j = 1; j < Bit.length; j++) {
			if (Bit[j] == "1") {
				//console.log('等于'+Roman['Roman'+(Bit.length-j)])
				everydtae += '，<span class="everydtae">周' + Roman['Roman' + (j)] + '</span>'
				Roma += '周' + Roman['Roman' + (j)]
			} else {
				//console.log('不等于'+Roman['Roman'+(Bit.length-j)])
			}
		}
		if (Roma == '周一周二周三周四周五') {
			everydtae = '，工作日'
		} else if (Roma == '周六周日') {
			everydtae = '，休息日'
		} else if (Roma == '周一周二周三周四周五周六周日') {
			everydtae = '，每天'
		}
		var switchs = ''
		if (wakeupData[i].wakeupState == 2) {
			switchs = '<div class="mui-switch mui-switch-mini mui-switch-minione mui-active" data-name="wakeup" data-num="' +
				wakeupData[i].num +
				'" style="transition-duration: 0.2s;"><div class="mui-switch-handle mui-switch-handleone" style="transition-duration: 0.2s; transform: translate(35px, 0px);"></div></div>'
		} else {
			switchs = '<div class="mui-switch mui-switch-mini mui-switch-minione"  data-name="wakeup" data-num="' + wakeupData[i]
				.num + '">' +
				'<div class="mui-switch-handle mui-switch-handleone"></div>' +
				'</div>'
		}
		wakeupTpl += '<li class="mui-table-view-cell mui-transitioning sleepAlarmItem">' +
			'<div class="mui-slider-right mui-disabled">' +
			'<a href="javascript:;" class="mui-btn mui-btn-red mui-muiIf" style="transform: translate(0px, 0px);" data-name="wakeup" data-num="' +
			wakeupData[i].num + '">删除</a>' +
			'</div>' +
			'<div class="mui-slider-handle mui-slider-handleone" style="transform: translate(0px, 0px);">' +
			'<div class="left"  data-name="wakeup" data-music="' + wakeupData[i].wakeupMusic + '"  data-num="' + wakeupData[i].num +
			'">' +
			'<div class="setalarmtime sleepTime1">' + wakeupData[i].wakeupHour + ':' + wakeupData[i].wakeupMin + '</div>' +
			'<div class="meitian setSleepAlarmItem sleepAlarmItem1">' +
			'<p class="headline">起床</p>' + everydtae + '</div>' +
			'</div>' +
			'<div class="right">' + switchs +
			'</div>' +
			'</div>' +
			'</li>'
	}




	mui('#OA_task_1')[0].innerHTML = sleepTpl + wakeupTpl

	//有闹钟时点击列表下面的添加闹钟按钮事件
	console.log(sleepState)
	console.log(wakeupState)
	var Sleep = 6,
		GetUp = 6;
	if (!isNaN(Number(searchKeys('0', sleepState)) + 1)) {
		if (Number(searchKeys('0', sleepState)) == 0) {
			Sleep = 1
		} else {
			Sleep = Number(searchKeys('0', sleepState)) + 1
		}

	}
	if (!isNaN(Number(searchKeys('0', wakeupState)) + 1)) {
		GetUp = Number(searchKeys('0', wakeupState)) + 1
	}

	mui('body').on('tap', '.addSleepAlarm', function(e) {
		if(getQueryString("token")){
			if(getQueryString("did")){	 
				setTimeout(function() {
					localStorage.setItem("sleepRemindMusic", '0')
					var href = "setAlarm.html"
					mui.openWindow({
						url: href + '?deviceSettingId=' + deviceSettingId + '&Sleep=' + Sleep + '&GetUp=' + GetUp +
							'&html=html&token=' + getQueryString('token') + '&did=' + getQueryString('did'),
						id: href,
						show: {
							aniShow: 'slide-in-right',
							duration: 1400
						},
						waiting: {
							autoShow: false
						}
					});
				}, 10);
			}else{
				toast('请登录添加设备后使用');
			}
		}else{
			toast('未登录');
		}
	});
	mui('body').on('tap', '.left', function(e) {
		var name = this.dataset.name;
		var num = this.dataset.num;
		var Music = this.dataset.music;
		var href = "setAlarm.html"
		if (getQueryString("token")) {
			if (getQueryString("did")) {
				setTimeout(function() {
					localStorage.setItem("sleepRemindMusic", Music)
					mui.openWindow({
						url: href + '?deviceSettingId=' + deviceSettingId + '&Sleep=' + Sleep + '&GetUp=' + GetUp + '&name=' + name +
							'&num=' + num +
							'&html=html&token=' + getQueryString('token') + '&did=' + getQueryString('did'),
						id: href,
						show: {
							aniShow: 'slide-in-right',
							duration: 1400
						},
						waiting: {
							autoShow: false
						}
					});
				}, 10);
			}
		}
	});
	mui('.mui-switch').switch();
	//开关闹钟
	mui('.mui-content .mui-switch').each(function() {
		this.addEventListener('toggle', function(event) {
			var name = this.dataset.name;
			var num = this.dataset.num;
			console.log(name)
			if (event.detail.isActive) {
				if (name == 'wakeup') {
					AlarmCloc['wakeupState' + num] = '02'
					console.log(AlarmCloc)
					var cmd = sleepSetOrder(AlarmCloc)
					var data = {
						deviceId: getQueryString('did'),
						deviceSettingId: deviceSettingId,
						settingType: 4,
						settingValues: JSON.stringify(AlarmCloc)
					}
					HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
					SendInstruction(cmd);
				} else {

					AlarmCloc['sleepRemindState' + num] = '02'
					var cmd = sleepSetOrder(AlarmCloc)
					var data = {
						deviceId: getQueryString('did'),
						deviceSettingId: deviceSettingId,
						settingType: 4,
						settingValues: JSON.stringify(AlarmCloc)
					}
					HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
					SendInstruction(cmd);
				}
			} else {
				if (name == 'wakeup') {
					AlarmCloc['wakeupState' + num] = '01'
					console.log(AlarmCloc)
					var cmd = sleepSetOrder(AlarmCloc)
					var data = {
						deviceId: getQueryString('did'),
						deviceSettingId: deviceSettingId,
						settingType: 4,
						settingValues: JSON.stringify(AlarmCloc)
					}
					HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
					SendInstruction(cmd);
				} else {
					AlarmCloc['sleepRemindState' + num] = '01'
					var cmd = sleepSetOrder(AlarmCloc)
					var data = {
						deviceId: getQueryString('did'),
						deviceSettingId: deviceSettingId,
						settingType: 4,
						settingValues: JSON.stringify(AlarmCloc)
					}
					HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
					SendInstruction(cmd);
				}
			}
		});
	});

}

/**
 * 10进制转2进制
 * */
function replenishBit(obj) {

	var str = parseInt(obj, 10).toString(2);
	var len = str.length;
	var s1 = "00000000"; //用于补齐，满8位
	if (len < 8) {
		var s2 = s1.slice(0, 8 - len); //截取需要补齐的位数
		str = s2 + str; //在前面进行补齐
	}
	str = str.split("").reverse().join("");
	return str;
}




//删除
mui('body').on('tap', '.mui-btn-red', function(e) {
	var name = this.dataset.name;
	var num = this.dataset.num;
	var elem = this.parentNode.parentNode;
	if (name == 'wakeup') {
		AlarmCloc['wakeupState' + num] = '00';
		AlarmCloc['wakeupRepeat' + num] = '00';
		AlarmCloc['wakeupMusic' + num] = '00';
		AlarmCloc['wakeupMin' + num] = '00';
		AlarmCloc['wakeupHour' + num] = '00';
		var cmd = sleepSetOrder(AlarmCloc)
		var data = {
			deviceId: getQueryString('did'),
			deviceSettingId: deviceSettingId,
			settingType: 4,
			settingValues: JSON.stringify(AlarmCloc)
		}
		HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
		SendInstruction(cmd);
	} else {
		AlarmCloc['sleepRemindState' + num] = '00';
		AlarmCloc['sleepRemindRepeat' + num] = '00';
		AlarmCloc['sleepRemindMusic' + num] = '00';
		AlarmCloc['sleepRemindMin' + num] = '00';
		AlarmCloc['sleepRemindHour' + num] = '00';
		var cmd = sleepSetOrder(AlarmCloc)
		var data = {
			deviceId: getQueryString('did'),
			deviceSettingId: deviceSettingId,
			settingType: 4,
			settingValues: JSON.stringify(AlarmCloc)
		}
		HttpRequest.doRequest('POST', data, token, updateSettings, function(e) {}, function() {})
		SendInstruction(cmd);
	}
	elem.parentNode.removeChild(elem);
	var OA_task_1 = mui('#OA_task_1')[0].getElementsByTagName("li").length
	if (OA_task_1 < 3) {
		mui('.tianjia1')[0].innerHTML = ' ';
		mui('.tianjia2')[0].innerHTML = '<div class="addtitle">添加闹钟</div><div class="addimg addSleepAlarm"></div>';
	}

})
mui('body').on('tap', '#AddAlarm', function(e) {
		var href = "AddAlarm.html"
		if (getQueryString("token")) {
			if (getQueryString("did")) {
				setTimeout(function() {
					mui.openWindow({
						url: href + '?token=' + getQueryString('token') + '&did=' + getQueryString('did'),
						id: href,
						show: {
							aniShow: 'slide-in-right',
							duration: 1400
						},
						waiting: {
							autoShow: false
						}
					});
				}, 10);
			}
		}
	});

//闹钟参数指令设置,共52个字节
function sleepSetOrder(AlarmCloc) {
	var base = "0511";
	var clock_Cmd = [];
	clock_Cmd.push(base);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindState1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindHour1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMin1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindRepeat1));
	//clock_Cmd.push(AlarmCloc.sleepRemindRepeat1);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMusic1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindState2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindHour2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMin2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindRepeat2));
	//clock_Cmd.push(AlarmCloc.sleepRemindRepeat2);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMusic2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindState3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindHour3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMin3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindRepeat3));
	//clock_Cmd.push(AlarmCloc.sleepRemindRepeat3);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMusic3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindState4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindHour4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMin4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindRepeat4));
	//clock_Cmd.push(AlarmCloc.sleepRemindRepeat4);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMusic4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindState5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindHour5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMin5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindRepeat5));
	//clock_Cmd.push(AlarmCloc.sleepRemindRepeat5);
	clock_Cmd.push(decimal2Hex(AlarmCloc.sleepRemindMusic5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupState1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupHour1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMin1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupRepeat1));
	//clock_Cmd.push(AlarmCloc.wakeupRepeat1);
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMusic1));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupState2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupHour2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMin2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupRepeat2));
	//clock_Cmd.push(AlarmCloc.wakeupRepeat2);
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMusic2));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupState3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupHour3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMin3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupRepeat3));
	//clock_Cmd.push(AlarmCloc.wakeupRepeat3);
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMusic3));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupState4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupHour4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMin4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupRepeat4));
	//clock_Cmd.push(AlarmCloc.wakeupRepeat4);
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMusic4));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupState5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupHour5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMin5));
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupRepeat5));
	//clock_Cmd.push(AlarmCloc.wakeupRepeat5);
	clock_Cmd.push(decimal2Hex(AlarmCloc.wakeupMusic1));
	console.log(iot.arrayToString(clock_Cmd))
	return iot.arrayToString(clock_Cmd);
}

function searchKeys(needle, haystack) {
	for (i in haystack) {
		if (haystack[i] == needle) {
			return i;
		}
	}
}

function SingleOrDouble(text) {
	var s = ''
	if (text == null) {
		s = '01'
		return s;
	} else {
		if (text.length < 2) {
			s = '0' + text
		} else {
			s = text
		}
		return s;
	}
}
