var remoteValueList = [];
var modelid; //遥控器id
var par = {};
var tapCmode = 0;
var tapCwind = 0;
var tapCwinddir = 0;
var cmd = "";
var cmdKeyValue = null;
var devicetypename = Storage.getItem("devicetypename"); //获取设备名称
var did = getQueryString('did');
var token = getQueryString('token')
Storage.setItem('did', did)
Storage.setItem('token', token)
volumeGetSettingList(Storage.getItem("typeNew"))
$(".mui-title").text(devicetypename); //修改设备名称
getRemoteInfo();
getAirState();
order();
mui('body').on('tap', '#mui-action-back', function() {
    //是使用智慧宜居
	if(Storage.getItem('sleep') == 'sleep'){
		window.history.go(-1)
	}else{
		
			var typeText = {
				"callBackNative": 1,
				"urlAddr": ""
			}
			if(isAndroid){
				EG_IOT.callBack(JSON.stringify(typeText));
			}else{
				window.webkit.messageHandlers.callBack.postMessage(JSON.stringify(typeText))
			}
		
	}
})
// 按键点击控制事件
function order() {
	// 点击开关按钮
	$("#switchId").on("click", function() {
		console.log("你点击了开关按钮");
		if (par.conoff == 0) {
			par.conoff = 1;
		} else {
			par.conoff = 0;
		}
		cmdKeyValue = 0;
		console.log("开关");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
	//点击模式按钮
	$("#modeId").on("click", function() {
		console.log("你点击了我------------");
		tapCmode++;
		if (tapCmode % 5 == 0) {
			par.cmode = 0;
		} else if (tapCmode % 5 == 1) {
			par.cmode = 1;
		} else if (tapCmode % 5 == 2) {
			par.cmode = 2;
		} else if (tapCmode % 5 == 3) {
			par.cmode = 3;
		} else if (tapCmode % 5 == 4) {
			par.cmode = 4;
		}
		cmdKeyValue = 1;
		console.log("模式");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
	//点击加号按钮
	$("#addId").on("click", function() {
		console.log("你点击了加号按钮");
		if (par.ctemp == 14) {
			par.ctemp = 14;
		} else {
			par.ctemp++;
		}
		cmdKeyValue = 2;
		console.log("温度加");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
	//点击减号按钮
	$("#subtractId").on("click", function() {
		console.log("你点击了减号按钮");
		if (par.ctemp == 0) {
			par.ctemp = 0;
		} else {
			par.ctemp--;
		}
		cmdKeyValue = 3;
		console.log("温度减");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
	//点击风力按钮
	$("#windpowerId").on("click", function() {
		console.log("你点击了风力按钮");
		tapCwind++;
		if (tapCwind == 4) {
			tapCwind = 0;
		}
		if (tapCwind % 5 == 0) {
			par.cwind = 0;
		} else if (tapCwind % 5 == 1) {
			par.cwind = 1;
		} else if (tapCwind % 5 == 2) {
			par.cwind = 2;
		} else if (tapCwind % 5 == 3) {
			par.cwind = 3;
		}
		cmdKeyValue = 4;
		console.log("风力");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
	//点击扫风按钮
	$("#swingflagId").on("click", function() {
		console.log("你点击了扫风按钮");
		tapCwinddir++;
		if (tapCwinddir % 5 == 0) {
			par.cwinddir = 0;
		} else if (tapCwinddir % 5 == 1) {
			par.cwinddir = 1;
		} else if (tapCwinddir % 5 == 2) {
			par.cwinddir = 2;
		} else if (tapCwinddir % 5 == 3) {
			par.cwinddir = 3;
		} else if (tapCwinddir % 5 == 4) {
			par.cwinddir = 4;
		}
		cmdKeyValue = 5;
		console.log("风向");
		getAirConValue(par, cmdKeyValue, modelid, function(radioCMD) {
			sendCommand("050300" + radioCMD);
		});
	});
}

//获取空调按键码
function getAirConValue(par, val, kfid, callbackFun) {
	var requestUrl = serverUrl + "/keyevent.asp?mac=" + mac + "&par=" + par.conoff + "-" + par.cmode + "-" + par.ctemp +
		"-" + par.cwind + "-" + par.cwinddir + "-" + val + "&kfid=" + kfid;
	console.log("我是-----------------------------------------------" + requestUrl);
	$.ajax({
		type: "get",
		url: requestUrl,
		async: false,
		dataType: "json",
		success: function(result) {
			console.log(result);
			cmd = result.irdata;
			console.log("我是------------cmd" + cmd);
			callbackFun(cmd);
			if (result.conoff == "关") {
				par.conoff = 1;
				$("#temperatureId").removeClass("temperaturenumber").addClass("temperaturenumberoff"); //温度
				$("#degreeid").removeClass("degree").addClass("degreeoff"); //温度标注
				$("#zhilengid").removeClass("refrigerationpattern").addClass("refrigerationpatternoff"); //制冷模式 
				$("#windId").removeClass("windimg").addClass("windimgoff"); //风力图片关 
				$("#winderpower").removeClass("middle").addClass("middleoff"); //风力文字关
				$("#saofengId").removeClass("swingflagimg").addClass("swingflagimgoff"); //风向图片关
				$("#winetitleId").removeClass("winetitle").addClass("winetitleoff"); //风向文字关
				$("#switchId").removeClass("switchimg").addClass("switchimgoff"); //开关按钮图片
				$("#onId").removeClass("switch_on").addClass("switch_onxiao"); //开关文字开
				$("#offId").removeClass("switch_off").addClass("switch_offda"); //开关文字关
				$("#modeId").removeClass("modeimg").addClass("modeimgoff"); //模式按钮
				$("#addId").removeClass("addimg").addClass("addimgoff"); //温度加关
				$("#subtractId").removeClass("subtractimg").addClass("subtractimgoff"); //温度减关
				$("#windpowerId").removeClass("windpowerimg").addClass("windpowerimgoff"); //底部按钮风力关
				$("#swingflagId").removeClass("swingflagbckimg").addClass("swingflagbckimgoff"); //扫风按钮关
			} else {
				$("#temperatureId").text(result.ctemp);
				$("#zhilengid").text(result.cmode + "模式");
				$("#winderpower").text(result.cwind);
				$("#winetitleId").text(result.cwinddir);
				$("#temperatureId").removeClass("temperaturenumberoff").addClass("temperaturenumber");
				$("#degreeid").removeClass("degreeoff").addClass("degree");
				$("#zhilengid").removeClass("refrigerationpatternoff").addClass("refrigerationpattern");
				$("#windId").removeClass("windimgoff").addClass("windimg"); //风力图片开
				$("#winderpower").removeClass("middleoff").addClass("middle"); //风力文字开
				$("#saofengId").removeClass("swingflagimgoff").addClass("swingflagimg"); //风向图片开
				$("#winetitleId").removeClass("winetitleoff").addClass("winetitle"); //风向文字开
				$("#switchId").removeClass("switchimgoff").addClass("switchimg");
				$("#onId").removeClass("sswitch_onxiao").addClass("switch_on");
				$("#offId").removeClass("switch_offda").addClass("switch_off");
				$("#modeId").removeClass("modeimgoff").addClass("modeimg"); //模式按钮
				$("#addId").removeClass("addimgoff").addClass("addimg"); //温度加开
				$("#subtractId").removeClass("subtractimgoff").addClass("subtractimg"); //温度减开
				$("#windpowerId").removeClass("windpowerimgoff").addClass("windpowerimg"); //底部按钮风力开
				$("#swingflagId").removeClass("swingflagbckimgoff").addClass("swingflagbckimg"); //扫风按钮开
				par.conoff = 0;
			}
		},
		error: function(result) {
			console.log("请求失败:" + JSON.stringify(result));
		}
	});
}
// 获取红外设备基本信息接口(即是操作当前红外设备遥控)
function getRemoteInfo() {
	var id = getQueryString("id"); //红外设备id
	$.ajax({
		type: "get",
		url: getinfraredDeviceUrl + "/" + id,
		async: false,
		headers: {
			'Authorization': getQueryString("token"),
		},
		success: function(result) {
			console.log("我是打印出来的----------" + JSON.stringify(result));
			$(".devicetypename").text(result.data.name);
			console.log(result.data.valueList);
			var valueListStr = result.data.valueList;
			var reg = new RegExp("'", "g");
			var newstr = valueListStr.replace(reg, '"');
			var valueList = JSON.parse(newstr);
			remoteValueList = valueList;
			modelid = result.data.modelId;
			console.log(valueList);
			console.log(valueList[0]);
		},
		error: function() {}
	});
}
//获取空调当前工作状态(Url3)
function getAirState() {
	var requestUrl = getValuelistairConditionerUrl + "?mac=" + mac + "&kfid=" + modelid;
	// var requestUrl = getValuelistairConditionerUrl + "?mac=" + mac;
	$.ajax({
		type: "get",
		url: requestUrl,
		async: false,
		dataType: "json",
		success: function(result) {
			console.log(result);
			parseState(result);
		},
		error: function(result) {
			console.log("请求失败:" + JSON.stringify(result));
		}
	});
}
// 判断空调状态，渲染UI界面
function parseState(result) {
	par.ctemp = result.ctemp - 16;
	if (result.conoff == "关") {
		par.conoff = 1;
		$("#temperatureId").text(result.ctemp);
		$("#temperatureId").removeClass("temperaturenumber").addClass("temperaturenumberoff");
		$("#degreeid").removeClass("degree").addClass("degreeoff");
		$("#zhilengid").removeClass("refrigerationpattern").addClass("refrigerationpatternoff");
		$("#windId").removeClass("windimg").addClass("windimgoff"); //风力图片关
		$("#winderpower").removeClass("middle").addClass("middleoff"); //风力文字关
		$("#saofengId").removeClass("swingflagimg").addClass("swingflagimgoff"); //风向图片关
		$("#winetitleId").removeClass("winetitle").addClass("winetitleoff"); //风向文字关
		$("#switchId").removeClass("switchimg").addClass("switchimgoff");
		$("#onId").removeClass("switch_on").addClass("switch_onxiao");
		$("#offId").removeClass("switch_off").addClass("switch_offda");
		$("#modeId").removeClass("modeimg").addClass("modeimgoff"); //模式按钮
		$("#addId").removeClass("addimg").addClass("addimgoff"); //温度加关
		$("#subtractId").removeClass("subtractimg").addClass("subtractimgoff"); //温度减关
		$("#windpowerId").removeClass("windpowerimg").addClass("windpowerimgoff"); //底部按钮风力关
		$("#swingflagId").removeClass("swingflagbckimg").addClass("swingflagbckimgoff"); //扫风按钮关
	} else {
		$("#temperatureId").text(result.ctemp);
		$("#zhilengid").text(result.cmode + "模式");
		$("#winderpower").text(result.cwind);
		$("#winetitleId").text(result.cwinddir);
		$("#temperatureId").removeClass("temperaturenumberoff").addClass("temperaturenumber");
		$("#degreeid").removeClass("degreeoff").addClass("degree");
		$("#zhilengid").removeClass("refrigerationpatternoff").addClass("refrigerationpattern");
		$("#windId").removeClass("windimgoff").addClass("windimg"); //风力图片开
		$("#winderpower").removeClass("middleoff").addClass("middle"); //风力文字开
		$("#saofengId").removeClass("swingflagimgoff").addClass("swingflagimg"); //风向图片开
		$("#winetitleId").removeClass("winetitleoff").addClass("winetitle"); //风向文字开
		$("#switchId").removeClass("switchimgoff").addClass("switchimg");
		$("#onId").removeClass("sswitch_onxiao").addClass("switch_on");
		$("#offId").removeClass("switch_offda").addClass("switch_off");
		$("#modeId").removeClass("modeimgoff").addClass("modeimg"); //模式按钮
		$("#addId").removeClass("addimgoff").addClass("addimg"); //温度加开
		$("#subtractId").removeClass("subtractimgoff").addClass("subtractimg"); //温度减开
		$("#windpowerId").removeClass("windpowerimgoff").addClass("windpowerimg"); //底部按钮风力开
		$("#swingflagId").removeClass("swingflagbckimgoff").addClass("swingflagbckimg"); //扫风按钮开
		par.conoff = 0;
	}
	if (result.cmode == "自动") {
		par.cmode = 0;
	} else if (result.cmode == "制冷") {
		par.cmode = 1;
	} else if (result.cmode == "除湿") {
		par.cmode = 2;
	} else if (result.cmode == "送风") {
		par.cmode = 3;
	} else if (result.cmode == "制热") {
		par.cmode = 4;
	}
	tapCmode = par.cmode;

	if (result.cwind == "自动") {
		par.cwind = 0;
	} else if (result.cwind == "低风") {
		par.cwind = 1;
	} else if (result.cwind == "中风") {
		par.cwind = 2;
	} else if (result.cwind == "高风") {
		par.cwind = 3;
	}
	tapCwind = par.cwind;

	if (result.cwinddir == "自动") {
		par.cwinddir = 0;
	} else if (result.cwinddir == "风向1") {
		par.cwinddir = 1;
	} else if (result.cwinddir == "风向2") {
		par.cwinddir = 2;
	} else if (result.cwinddir == "风向3") {
		par.cwinddir = 3;
	} else if (result.cwinddir == "风向4") {
		par.cwinddir = 4;
	}
	tapCwinddir = par.cwinddir;
}
