// 获取设备类型id
var device_id = getQueryString("device_id"); //设备类型id
var brand_id = getQueryString("brand_id");   //品牌id
var token = getQueryString("token");   //品牌id
var did = getQueryString("did");   //品牌id
Storage.setItem('did', did)
Storage.setItem('token', token)
volumeGetSettingList(Storage.getItem("typeNew"))
var kfidArr = [];            //遥控器型号id数组
var modelid = "";			//当前遥控器型号id
var keyidArr = [];		    //遥控器按键
var keyidIndexArr = [];		//遥控器按键下标
var valueArr = [];			//遥控器按键值
var irdata = "";			//开关按键指令
//添加红外设备参数
var parame = {
    name: "",      //设备名称 (用户输入名称)
    deviceId: did, //绑定设备 ID(台灯did)
    typeId: Number(device_id), //设备类型 ID
    brandId: Number(brand_id), //品牌 ID
    modelId: "",         //型号 ID(遥控器)
    keyList: replace(JSON.stringify(keyidArr)),//键列表
    valueList: replace(JSON.stringify(valueArr))//值列表

};
var typeID;
if (device_id == 1) {
    //空调
    typeID = "01";
} else if (device_id == 5) {
    //风扇
    typeID = "02";
} else if (device_id == 2) {
    //电视
    typeID = "03";
}
console.log("我是类型id" + typeID);
// 初始化入口函数
matched();
getModellist();

// 获取型号列表接口
function getModellist() {
    $.ajax({
        type: "get",
        url: getmodellistUrl + "?mac=" + mac + "&device_id=" + device_id + "&brand_id=" + brand_id,
        async: false,
        dataType: "json",
        success: function (result) {
            console.log(result);
            for (var i = 0; i < result.length; i++) {
                kfidArr.push(result[i].id);
            }
            modelid = kfidArr[0];
            $(".modeltype").text("型号: " + modelid);
            getKeylist(kfidArr[0]);
        },
        error: function (result) {
            console.log("请求失败:" + JSON.stringify(result));
        }
    });
}

// 获取遥控器按键列表接口
function getKeylist(kfid) {
    $.ajax({
        type: "get",
        url: getKeylistUrl + "?mac=" + mac + "&kfid=" + kfid,
        async: false,
        dataType: "json",
        success: function (result) {
            console.log(result);
            keyidArr = result.keylist;
            valueArr = result.keyvalue;
            modelid = result.kfid;
            parame.modelId = modelid;
            parame.keyList = replace(JSON.stringify(keyidArr));
            parame.valueList = replace(JSON.stringify(valueArr));
            console.log("我是遥控器型号id数组keyidArr----" + keyidArr);
            console.log("我是遥控器按键值valueArr----" + valueArr);
            console.log("我是当前遥控器型号id modelid----" + modelid);
            console.log("我是parame.modelId----" + parame.modelId);
            console.log("我是parame.keyList----" + parame.keyList);
            console.log("我是 parame.valueList----" + parame.valueList);
            for (var i = 0; i < keyidArr.length; i++) {
                keyidIndexArr.push(i + 1);
            }

        },
        error: function (result) {
            console.log("请求失败:" + JSON.stringify(result));
        }
    });
}

//获取遥控器按键值接口
function getValuelist(keyid, kfid) {
    if (device_id == 1) {
        //空调
        $.ajax({
            type: "get",
            url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyid + "&kfid=" + kfid,
            async: false,
            dataType: "json",
            success: function (result) {
                console.log(result);
                irdata = result.irdata;
                console.log("---------我是空调开关按键指令" + irdata);
            },
            error: function (result) {
                console.log("请求失败:" + JSON.stringify(result));
            }
        });
    } else {
        //非空调
        $.ajax({
            type: "get",
            url: getValuelistNoairConditionerUrl + "?mac=" + mac + "&keyid=" + keyid + "&kfid=" + kfid,
            async: false,
            dataType: "json",
            success: function (result) {
                console.log(result);
                irdata = result.irdata;
                console.log("---------我是非空调开关按键指令" + irdata);
            },
            error: function (result) {
                console.log("请求失败:" + JSON.stringify(result));
            }
        });
    }

}



/* 页面点击事件*/
var index = 0;
function matched() {
    // 点击中间按钮进行匹配事件
    $(".center").click(function (e) {
        getKeylist(kfidArr[index]);
        getValuelist(keyidIndexArr[0], kfidArr[index]);
        var reg = new RegExp(",", "g");
        var newstr = irdata.replace(reg, '');
        var command = newstr;
        // console.log("我是command------"+command);
        var parame = {
            deviceId: did,
            uartboby: "050300" + command
        };
        HttpRequest.doRequest('POST', parame, token, control, function(result) {
            console.log(result);
                //检测设备离线时的弹框提示逻辑
                if (result.code == '20011') {
                    $(".dibucontainer").show();
                    $(".tipcontainer").hide();
                    var tipcontainer = '<div class="knowtip">' + '我知道了' + '</div>';
                    var tittletip = '<div class="titletip">' + '宜休·健康精灵离线了，请帮它恢复网络后再试吧～' + '</div>';
                    mui.alert(tittletip, ' ', tipcontainer, function () {
                    });
                } else if (result.code == '0') {
                    $(".dibucontainer").hide();
                    $(".tipcontainer").show();
                }
                getValuelist(keyidIndexArr[0], kfidArr[index]);
        }, function() {})
    });

    // 点击否事件
    $(".leftno").on("click", function () {
        $(".dibucontainer").show();
        $(".tipcontainer").hide();
    });

    //  点击是事件
    $(".rightsure").on("click", function () {
        $(".dibucontainer").show();
        $(".tipcontainer").hide();
        //判断添加的是机顶盒
        if (device_id == 3) {
            addStb();
        } else if (device_id == 2) {
            //判断添加的是电视
            addTelevision();
        } else {
            //判断添加的是其它品牌
            addother();
        }
    });

    // 点击左右切换型号
    $(".right").on("tap", function () {
        index++;
        if (index >= kfidArr.length) {
            mui.toast("已经是最后一个了");
            index = kfidArr.length - 1;
            return;
        } else if (index >= kfidArr.length - 1) {
            parame.modelId = kfidArr[index];
            $(".modeltype").text("型号: " + parame.modelId);
            getKeylist(kfidArr[index]);
        } else {
            parame.modelId = kfidArr[index];
            $(".modeltype").text("型号: " + parame.modelId);
            getKeylist(kfidArr[index]);
            console.log(kfidArr[index]);
            console.log(irdata);
        }
    });

    $(".left").on("tap", function () {
        index--;
        if (index <= -1) {
            mui.toast("已经是第一个了");
            index = 0;
            return;
        } else if (index <= 0) {
            mui.toast("已经是第一个了");
            parame.modelId = kfidArr[index];
            $(".modeltype").text("型号: " + parame.modelId);
            getKeylist(kfidArr[index]);
        } else {
            parame.modelId = kfidArr[index];
            $(".modeltype").text("型号: " + parame.modelId);
            getKeylist(kfidArr[index]);
            console.log(kfidArr[index]);
            console.log(irdata);
        }
    });

}


//添加其它品牌方法
function addother() {
    //获取url上品牌的设备类型id
    var btnArray = '<div class="successful">' + '完成' + '</div>';
    var title = '<div class="toptitle">' +
        '<div class="successfulimg"></div>' +
        '<div class="titlesuccss">匹配成功</div>' +
        '</div>';
    var input = '<form class="mui-input-group">' +
        '<div class="mui-input-row">' +
        '<input type="text" class="mui-input-clear" placeholder="请输入名称">' +
        '</div>' +
        '</form>';
    mui.alert(input, title, btnArray, function () {
        console.log("你点击了完成");
        $(".loadingfather").removeClass("mui-hidden");
        //点击完成跳转到智能控制列表事件
        var nameValue = $(".mui-input-clear").val();
        console.log("我是input里面的内容" + nameValue);
        if (nameValue == "" || nameValue == undefined || nameValue == null) {
            $(".loadingfather").addClass("mui-hidden");
            mui.toast("给您的设备取个好听的名字吧");
            return false;
        } else if (nameValue.length >= 15) {
            $(".loadingfather").addClass("mui-hidden");
            mui.toast("名称不能超过15个字符哦~");
            return false;
        } else {
            parame.name = nameValue;
            if (device_id == 1) {
                var airConditioner = [];
                setTimeout(function(){
                    for (var i = 0; i < keyidArr.length; i++) {
                        $.ajax({
                            type: "get",
                            url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyidIndexArr[i] + "&kfid=" + kfidArr[i],
                            async: false,
                            dataType: "json",
                            success: function (result) {
                                console.log(result);
                                airConditioner.push(result.irdata);
                            },
                            error: function (err) {
                                console.log("请求失败:" + JSON.stringify(err));
                            }
                        });
                    }
                    $(".loadingfather").addClass("mui-hidden");
                },100);
                // for (var i = 0; i < keyidArr.length; i++) {
                //     $.ajax({
                //         type: "get",
                //         url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyidIndexArr[i] + "&kfid=" + kfidArr[i],
                //         async: false,
                //         dataType: "json",
                //         success: function (result) {
                //             console.log(result);
                //             airConditioner.push(result.irdata);
                //         },
                //         error: function (err) {
                //             console.log("请求失败:" + JSON.stringify(err));
                //         }
                //     });
                // }
                parame.valueList = replace(JSON.stringify(airConditioner));
            } else {

            }
            console.log(parame);
            // 添加红外设备接口
            $.ajax({
                type: "post",
                url: getinfraredDeviceUrl,
                data: JSON.stringify(parame),
                async: false,
                headers: {
                    'Authorization': token,
                },
                contentType: "application/json;charset=UTF-8",
                success: function (result) {
                    console.log(result);
                    if (result.code == 0) {
                        var id = result.data.id;
                        console.log(id);
                        var str1 = id.toString(16);//10进制转16进制
                        var len = str1.length;
                        var s1 = "00000000"; //用于补齐，满8位
                        if (len < 8) {
                            var s2 = s1.slice(0, 8 - len); //截取需要补齐的位数
                            var str2 = s2 + str1; //在前面进行补齐
                        }
                        console.log(str1);
                        console.log(len);
                        console.log(s2);
                        console.log(str2);
                        window.location.href = "IntelligentControllist.html?did=" + did + "&token=" + token;
                        //添加红外成功后发送指令
                        SendInstruction("0514" + typeID + "01" + str2 + modelid);
                    } else if (result.code == 10402) {
                        $(".loadingfather").addClass("mui-hidden");
                        mui.toast("名称不能重复");
                    } else if (result.code == 10403) {
                        $(".loadingfather").addClass("mui-hidden");
                        mui.toast("只能添加20个红外设备");
                    }
                },
                error: function (err) {
                    console.log("请求错误:" + err);
                    mui.toast("添加失败,请重试!");
                }
            });
        }
    });
    muiMethod();
}


//继续添加电视方法
function addTelevision() {
    var btnArray = '<div class="successful">' + '添加电视' + '</div>';
    var title = '<div class="toptitle">' +
        '<div class="successfulimg"></div>' +
        '<div class="titlesuccss">匹配成功</div>' +
        '</div>';
    var input = '<form class="mui-input-group">' +
        '<div class="mui-input-row">' +
        '<input type="text" class="mui-input-clear" placeholder="请输入名称">' +
        '</div>' +
        '</form>';
    mui.alert(input, title, btnArray, function () {
        console.log("你点击了继续添加电视");
        //点击完成跳转到智能控制列表事件
        var nameValue = $(".mui-input-clear").val();
        console.log("我是input里面的内容" + nameValue);
        if (nameValue == "" || nameValue == undefined || nameValue == null) {
            mui.toast("给您的设备取个好听的名字吧");
            return false;
        } else if (nameValue.length >= 15) {
            mui.toast("名称不能超过15个字符哦~");
            return false;
        } else {
            parame.name = nameValue;
            if (device_id == 1) {
                var airConditioner = [];
                for (var i = 0; i < keyidArr.length; i++) {
                    
                    $.ajax({
                        type: "get",
                        url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyidIndexArr[i] + "&kfid=" + kfidArr[i],
                        async: false,
                        dataType: "json",
                        success: function (result) {
                            console.log(result);
                            airConditioner.push(result.irdata);
                        },
                        error: function (err) {
                            console.log("请求失败:" + JSON.stringify(err));
                        }
                    });
                }
                parame.valueList = replace(JSON.stringify(airConditioner));
            } else {

            }
            console.log(parame);
            // 添加红外设备接口
            $.ajax({
                type: "post",
                url: getinfraredDeviceUrl,
                // data: parame,
                data: JSON.stringify(parame),
                async: false,
				headers: {
				    'Authorization': token,
				},
                contentType: "application/json;charset=UTF-8",
                success: function (result) {
                   console.log(result);
                       if (result.code == 0) {
                           var id = result.data.id;
                           console.log(id);
                           var str1 = id.toString(16);//10进制转16进制
                           var len = str1.length;
                           var s1 = "00000000"; //用于补齐，满8位
                           if (len < 8) {
                               var s2 = s1.slice(0, 8 - len); //截取需要补齐的位数
                               var str2 = s2 + str1; //在前面进行补齐
                           }
                           console.log(str1);
                           console.log(len);
                           console.log(s2);
                           console.log(str2);
                           window.location.href = "IntelligentControllist.html?did=" + did + "&token=" + token;
                           //添加红外成功后发送指令
                           SendInstruction("0514" + typeID + "01" + str2 + modelid);
                       } else if (result.code == 10402) {
                           $(".loadingfather").addClass("mui-hidden");
                           mui.toast("名称不能重复");
                       } else if (result.code == 10403) {
                           $(".loadingfather").addClass("mui-hidden");
                           mui.toast("只能添加20个红外设备");
                       }
                   },
                   error: function (err) {
                       console.log("请求错误:" + err);
                       mui.toast("添加失败,请重试!");
                   }
              
            });
        }
    });
    muiMethod();
}



//继续添加机顶盒法
function addStb() {
    var title = '<div class="toptitle">' +
        '<div class="successfulimg"></div>' +
        '<div class="titlesuccss">匹配成功</div>' +
        '</div>';
    var input = '<form class="mui-input-group">' +
        '<div class="mui-input-row">' +
        '<input type="text" class="mui-input-clear" placeholder="请输入名称">' +
        '</div>' +
        '</form>';
    var btnArray = ['完成', '继续添加机顶盒'];
    mui.confirm(input, title, btnArray, function (e) {
        if (e.index == 1) {
            console.log("你点击了继续添加机顶盒");
            // return false;
            // 跳转回到品牌列表
            var nameValue = $(".mui-input-clear").val();
            console.log("我是input里面的内容" + nameValue);
            if (nameValue == "" || nameValue == undefined || nameValue == null) {
                mui.toast("给您的设备取个好听的名字吧");
                return false;
            } else if (nameValue.length >= 15) {
                mui.toast("名称不能超过15个字符哦~");
                return false;
            } else {
                parame.name = nameValue;
                if (device_id == 1) {
                    var airConditioner = [];
                    for (var i = 0; i < keyidArr.length; i++) {
                        $.ajax({
                            type: "get",
                            url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyidIndexArr[i] + "&kfid=" + kfidArr[i],
                            async: false,
                            dataType: "json",
                            success: function (result) {
                                console.log(result);
                                airConditioner.push(result.irdata);
                            },
                            error: function (err) {
                                console.log("请求失败:" + JSON.stringify(err));
                            }
                        });
                    }
                    parame.valueList = replace(JSON.stringify(airConditioner));
                } else {

                }
                console.log(parame);
                // 添加红外设备接口
                $.ajax({
                    type: "post",
                    url: getinfraredDeviceUrl,
                    // data: parame,
                    data: JSON.stringify(parame),
                    async: false,
                    contentType: "application/json;charset=UTF-8",
                    success: function (result) {
                        console.log(result);
                        window.location.href = "PleaseChoseBrand.html?did=" + did + "&token=" + token;
                    },
                    error: function (err) {
                        console.log("请求错误:" + err);
                        mui.toast("添加失败,请重试!");
                    }
                });
            }

        } else {
            console.log("你点击了完成");
            // return false;
            var nameValue = $(".mui-input-clear").val();
            console.log("我是input里面的内容" + nameValue);
            if (nameValue == "" || nameValue == undefined || nameValue == null) {
                mui.toast("给您的设备取个好听的名字吧");
                return false;
            } else if (nameValue.length >= 15) {
                mui.toast("名称不能超过15个字符哦~");
                return false;
            } else {
                parame.name = nameValue;
                if (device_id == 1) {
                    var airConditioner = [];
                    for (var i = 0; i < keyidArr.length; i++) {
                        $.ajax({
                            type: "get",
                            url: getValuelistairConditionerUrl + "?mac=" + mac + "&keyid=" + keyidIndexArr[i] + "&kfid=" + kfidArr[i],
                            async: false,
                            dataType: "json",
                            success: function (result) {
                                console.log(result);
                                airConditioner.push(result.irdata);
                            },
                            error: function (err) {
                                console.log("请求失败:" + JSON.stringify(err));
                            }
                        });
                    }
                    parame.valueList = replace(JSON.stringify(airConditioner));
                } else {

                }
                console.log(parame);
                // 添加红外设备接口
                $.ajax({
                    type: "post",
                    url: getinfraredDeviceUrl,
                    // data: parame,
                    data: JSON.stringify(parame),
                    async: false,
                    contentType: "application/json;charset=UTF-8",
					headers: {
					    'Authorization': token,
					},
                    success: function (result) {
                        console.log(result);
                        window.location.href = "IntelligentControllist.html?did=" + did + "&token=" +token;
                    },
                    error: function (err) {
                        console.log("请求错误:" + err);
                        mui.toast("添加失败,请重试!");
                    }
                });
            }
        }
    });
    muiMethod();
}


// 封装mui的方法
function muiMethod() {
    mui(".mui-input-row input").input();//动态添加的Input组件需要重新进行初始化
    //监听input里面内容变化事件
    $(".mui-input-clear").bind("input propertychange", function (e) {
        var nameValue = $(".mui-input-clear").val();
        if (nameValue.length >= 15) {
            mui.toast("名称不能超过15个字符哦~");
        }
    });
}
mui('body').on('tap', '#mui-action-back', function() {
    //是使用智慧宜居
	if(Storage.getItem('sleep') == 'sleep'){
		window.history.go(-1)
	}else{
		
			var typeText = {
				"callBackNative": 1,
				"urlAddr": ""
			}
			if(isAndroid){
				EG_IOT.callBack(JSON.stringify(typeText));
			}else{
				window.webkit.messageHandlers.callBack.postMessage(JSON.stringify(typeText))
			}
		
	}
})