mui.init({
	swipeBack: true //启用右滑关闭功能
});
mui('#pickerHeight1')[0].style.height = (window.screen.height/2.5 + 10)+'px'
mui('#pickerHeight2')[0].style.height = (window.screen.height/2.5+ 10) +'px'

var did = getQueryString("did");
var token = getQueryString("token");
Storage.setItem('did', did)
Storage.setItem('token', token)
volumeGetSettingList(Storage.getItem("typeNew"))
mqttNew(did)
setTimeout(function(){
	SendInstruction('052001')
},500)
var data = {
	deviceId: did
}
HttpRequest.doRequest('GET', data, token ,getState, function(res) {
	renderDom(res.data.data) //台灯状态数据解析数组内容
	//setItem('state', JSON.stringify()) //台灯状态数据储存 
}, function() {})



/**
 * 事实改变range的状态
 * */
var rangeList = document.querySelectorAll('input[type="range"]');
for (var i = 0, len = rangeList.length; i < len; i++) {
	rangeList[i].addEventListener('input', function() {
		this.style.backgroundSize = this.value + '% 100%';
	});
}
/**
 * range改变后才执行
 * */
rangeList[0].onchange = function() {
	var tab = mui('.mui-active')[0].dataset.tab;
	voiceRenderDom = false
	setTimeout(function() {
		voiceRenderDom = true
	}, 1000)
	if (tab == 1) {
		/**
		 * whiteRangeVal 亮度
		 * rRangeVal  RGB-R
		 * gRangeVal  RGB-G
		 * bRangeVal  RGB-B
		 * */
		var tabbar = mui('#tabbar')[0].style.backgroundColor.substring();
		var RBG = tabbar.substring(4, tabbar.length - 1).split(',')
		var whiteRangeVal = this.value;
		currentVal.color.lightPercent = decimal2Hex(whiteRangeVal);
		currentVal.color.colorR = decimal2Hex(Number(RBG[0]));
		currentVal.color.colorG = decimal2Hex(Number(RBG[1]));
		currentVal.color.colorB = decimal2Hex(Number(RBG[2]));

		sendColorLightOrder(currentVal.color);
		
	} else if (tab == 2) {
		/**
		 * whiteRangeVal 亮度
		 * tempRangeVal 色温
		 * */
		var whiteRangeVal = this.value;
		currentVal.white.lightPercent = decimal2Hex(whiteRangeVal);
		var tempRangeVal = Number(mui("#brightnessDelete")[0].value);
		currentVal.white.colorTemp = decimal2Hex(tempRangeVal);
		console.log(currentVal.white)
		sendWhiteLightOrder(currentVal.white)
	} else {
		var whiteRangeVal = this.value;
		currentVal.gradient.lightPercent = decimal2Hex(whiteRangeVal);
		sendGradientOrder(currentVal.gradient);
	}
};
rangeList[1].onchange = function() {
	voiceRenderDom = false
	setTimeout(function() {
		voiceRenderDom = true
	}, 1000)
	/**
	 * whiteRangeVal 亮度
	 * tempRangeVal 色温
	 * */
	var whiteRangeVal = Number(mui("#brightnessAad")[0].value);
	currentVal.white.lightPercent = decimal2Hex(whiteRangeVal);
	var tempRangeVal = this.value;
	currentVal.color.colorTemp = decimal2Hex(tempRangeVal);
	currentVal.gradient.colorTemp = decimal2Hex(tempRangeVal);
	currentVal.white.colorTemp = decimal2Hex(tempRangeVal);
	console.log(currentVal.white)
	sendWhiteLightOrder(currentVal.white)
};
/**
 * 切换灯光模式
 * 1.彩色
 * 2.白光
 * 3.渐变
 * */
mui('#slider').on('tap', 'a', function(e) {
	if(getQueryString('token')){
		if(getQueryString('did')){
			var that = this
			if (that.dataset.tab === '1') {
				if (that.classList.contains('mui-active')) {
					setTimeout(function() {
						that.classList.remove('mui-active')
						IuputRange('0') //执行亮度及色温的进度 0 关闭 1开启
						mui('.temperature')[0].style.visibility = 'inherit';
						sendTakeOffLightOrder() //关灯指令
					}, 100)
				} else {
					IuputRange('1') //执行亮度及色温的进度 0 关闭 1开启
					mui('.temperature')[0].style.visibility = 'hidden';
					var GUB1=picker.getPositionFromColor('#ff0000')
					picker.updateCoordinates(GUB1.x,GUB1.y)
					picker.updateAll()
					/**
					 * whiteRangeVal 亮度
					 * rRangeVal  RGB-R
					 * gRangeVal  RGB-G
					 * bRangeVal  RGB-B
					 * */
					var tabbar = mui('#tabbar')[0].style.backgroundColor.substring();
					var RBG = tabbar.substring(4, tabbar.length - 1).split(',')
					var whiteRangeVal = Number(mui("#brightnessAad")[0].value);
					currentVal.color.lightPercent = decimal2Hex(whiteRangeVal);
					var tempRangeVal = Number(mui("#brightnessDelete")[0].value);
					currentVal.color.colorTemp = decimal2Hex(tempRangeVal);
					currentVal.color.colorR = decimal2Hex(Number(RBG[0]));
					currentVal.color.colorG = decimal2Hex(Number(RBG[1]));
					currentVal.color.colorB = decimal2Hex(Number(RBG[2]));
					sendColorLightOrder(currentVal.color);
				}
			} else if (that.dataset.tab === '2') {
				if (that.classList.contains('mui-active')) {
			
					setTimeout(function() {
						that.classList.remove('mui-active')
						IuputRange('0') //执行亮度及色温的进度 0 关闭 1开启
						sendTakeOffLightOrder() //关灯指令
					}, 100)
				} else {
					IuputRange('1') //执行亮度及色温的进度 0 关闭 1开启
					mui('.temperature')[0].style.visibility = 'inherit'
					/**
					 * whiteRangeVal 亮度
					 * tempRangeVal 色温
					 * */
					var whiteRangeVal = Number(mui("#brightnessAad")[0].value);
					currentVal.white.lightPercent = decimal2Hex(whiteRangeVal);
					var tempRangeVal = Number(mui("#brightnessDelete")[0].value);
					currentVal.white.colorTemp = decimal2Hex(tempRangeVal);
					
					sendWhiteLightOrder(currentVal.white)
				}
			} else {
				if (that.classList.contains('mui-active')) {
					setTimeout(function() {
						that.classList.remove('mui-active')
						IuputRange('0') //执行亮度及色温的进度 0 关闭 1开启
						mui('.temperature')[0].style.visibility = 'inherit';
						sendTakeOffLightOrder() //关灯指令
						
					}, 100)
				} else {
					IuputRange('1') //执行亮度及色温的进度 0 关闭 1开启
					mui('.temperature')[0].style.visibility = 'hidden'
					var whiteRangeVal = Number(mui("#brightnessAad")[0].value);
					currentVal.gradient.lightPercent = decimal2Hex(whiteRangeVal);
					var tempRangeVal = Number(mui("#brightnessDelete")[0].value);
					currentVal.gradient.colorTemp = decimal2Hex(tempRangeVal);
					sendGradientOrder(currentVal.gradient);
				}
			}
		}else{
			toast('请登录添加设备后使用');
		}
	}else{
		toast('未登录');
	}
	
});

/**
 * 执行亮度及色温的进度
 * text==0.关闭
 * text==1.开启
 * **/

function IuputRange(text) {
	if (text == '0') {
		//温度
		mui('#brightnessAad')[0].disabled = true;
		mui('.mui-table-view-chevron')[0].classList.add('mui-CCC');
		document.getElementById('brightness-').src = '../images/brightness1-.png';
		document.getElementById('brightness+').src = '../images/brightness1+.png';


		//色温
		mui('#brightnessDelete')[0].disabled = true;
		mui('.mui-table-view-chevron')[1].classList.add('mui-CCC');
		document.getElementById('aberration-').src = '../images/aberration1-.png';
		document.getElementById('aberration+').src = '../images/aberration1+.png';
	} else {
		//温度
		mui('#brightnessAad')[0].disabled = false;
		mui('.mui-table-view-chevron')[0].classList.remove('mui-CCC');
		document.getElementById('brightness-').src = '../images/brightness-.png';
		document.getElementById('brightness+').src = '../images/brightness+.png';

		//色温
		mui('#brightnessDelete')[0].disabled = false;
		mui('.mui-table-view-chevron')[1].classList.remove('mui-CCC');
		document.getElementById('aberration-').src = '../images/aberration-.png';
		document.getElementById('aberration+').src = '../images/aberration+.png';
	}
}
mui('.canvas')[0].addEventListener('touchend', function(e) { // 当手指从canvas上移开时触发
	if(mousedown){
		var tabbar = mui('#tabbar')[0].style.backgroundColor.substring();
		var RBG = tabbar.substring(4, tabbar.length - 1).split(',')
		var whiteRangeVal = Number(mui("#brightnessAad")[0].value);
		currentVal.color.lightPercent = decimal2Hex(whiteRangeVal);
		currentVal.color.colorR = decimal2Hex(Number(RBG[0]));
		currentVal.color.colorG = decimal2Hex(Number(RBG[1]));
		currentVal.color.colorB = decimal2Hex(Number(RBG[2]));
		sendColorLightOrder(currentVal.color);
		mousedown=false
	}
});
