var myChart5,Weeklyscore
function Weeklyscore1(data, datavalue) {
	var dom = document.getElementById("Weeklyscore");
	myChart5 = echarts.init(dom);
	Weeklyscore = {
		tooltip: {
			trigger: 'axis',
			formatter: function(e) {
				return '分数:' + e[0].data
			}
		},
		title: [{
			text: '分数',
			top: '4%',
			left: '1.5%',
			textStyle: {
				color: '#999999',
				fontWeight: '100',
				fontSize: 11
			}
		}],
		xAxis: [{
			type: 'category',
			data: data,
			axisLine: {
				lineStyle: {
					color: "#999",
				},
				onZero: true,
			}
		}],
		grid: {
			x: 40,
			x2: 20,
			y: 40,
			height: 150
		},
		yAxis: [{
			type: 'value',
			min: 0,
			max: 100,
			splitNumber: 5,
			splitLine: {
				lineStyle: {
					type: 'dashed',
					color: '#e9e9e9'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					color: "#999999",
					fontSize: 9
				},
			},
		}],
		series: [{
			name: '课时',
			type: 'line',
			data: datavalue,
			lineStyle: {
				normal: {
					width: 2,
					color: {
						type: 'linear',
						colorStops: [{
							offset: 0,
							color: '#5FBEF2' // 0% 处的颜色
						},{
							offset: 1,
							color: '#5FBEF2' // 0% 处的颜色
						}],
						globalCoord: false // 缺省为 false
					}
				}
			},
			itemStyle: {
				normal: {
					width: 12,
					borderWidth: 1,
					borderColor: "#FEC08B",
			
				},
			},
			smooth: true
		}]
	};
	if (Weeklyscore && typeof Weeklyscore === "object") {
		myChart5.setOption(Weeklyscore, true);
	}

}
